<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Creation de l'action
 */

/**
 * Ajout d'une adhesion a une personne.
 *
 * @param string $args['memnum'] : identifiant de la personne
 * @param string $args['type'] : type de l'adhesion
 * @param string $args['montant'] : montant de l'adhesion
 * @param string $args['date'] : date de l'adhesion
 *
 * @return true si l'insertion de l'adhesion a fonctionne
 */

require_once GASELL_BASE . '/lib/Adhesion.php';
require_once GASELL_BASE . '/lib/Personne.php';

$result = false;
$checkData = true;
if (!isset($args['memnum']) || $args['memnum'] == "")
 {
	$this->errorMessage("Le numero de membre est invalide.");
	$checkData = false;
 }
if (!isset($args['type']) || $args['type'] == "")
 {
	$this->errorMessage("Aucun type d'adh&eacute;sion s&eacute;lectionn&eacute; !");
	$checkData = false;
 }
if (!isset($args['montant']) || !is_numeric($args['montant']))
 {
	$this->errorMessage("Le montant de cotisation est invalide.");
	$checkData = false;
 }
if (!isset($args['date']) || count(explode("/", $args['date'])) != 3)
 {
	$this->errorMessage("La date est invalide. Format : jj/mm/aaaa");
	$checkData = false;
 }

if ($checkData == true)
 {
	$d_tab = explode("/", $args['date']);
	$date = $d_tab[2] . "-" . $d_tab[1] . "-" . $d_tab[0];

	$Personne = new Personne($args['memnum']);
	/* Verification qu'une adhesion de ce type n'existe pas deja               */
	foreach ($Personne->Adhesions as $adh)
	 {
		/* Si une adhesion de ce type existe deja                                */
		if ($adh->typAdhNum == $args['memnum'])
		 {
			/* Alors, aucun ajout a realiser, re-affichage de la fiche personne    */
			$this->errorMessage("Cette personne est deja adherente pour l'exercice courant.");
			$checkData = false;
			break;
		 }
	 }

	if ($checkData == true)
	{
		/* Creation d'une nouvelle adhesion. NULL permet de creer une nouvelle adhesion */
		$newAdhesion = new Adhesion(NULL, $args['memnum']);
		$result = $newAdhesion->Ajoute($args['memnum'], $date, $args['type'], $args['montant']);
	}
 }

?>