<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Description :
 *   Ajout d'un element dans un parametre de tarif
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 19/12/05 GrdScarabe : passage au modele action
 */

/* chargement des dependances */
require_once GASELL_BASE . "/lib/Tarif.php";

global $Gasell;

/* recuperation des arguments */
$table    = $args['param'];
$nom      = $args['code'];
$libelle  = urldecode($args['libelle']);

if( isset($args['exercice']) && !empty($args['exerice']) )
{
	$exercice   = $args['exercice'];
	$bexercice  = true;
} else {
	$exercice   = $Gasell->CfgGet("ASSO", "Exercice");
	$bexercice  = false;
}


//echo "Table $table / Nom $nom / Libelle $libelle / Exercice $exercice";

/* On verifie la veracite des parametres passes */
if ( empty($nom) || empty($libelle) )
{
	/* TODO: GESTION DE L'ERREUR */
	$result['resultat'] = false;
	$result['message']  = "Erreur, au moins un des champs est vide !";
} elseif( strpos($nom, '%') !== false ) {
	/* TODO: GESTION DE L'ERREUR */
	$result['resultat'] = false;
	$result['message']  = "Erreur, le code est incorrect !";
} else {
	/* Instanciation d'un Tarif */
	$Tarif = new Tarif($Gasell);

	/* Ajout de l'element de parametre a partir de ce Tarif */
	if ( $bexercice )
		$res = $Tarif->ParamAdd($table, $nom, $libelle, $exercice);
	else
		$res = $Tarif->ParamAdd($table, $nom, $libelle);

	/* renvoie du resultat */
	$result['resultat'] = $res;
	if($res)
		$result['message']  = "Element ajout&eacute; correctement";
	else
		$result['message']  = "Erreur survenu durant l'ajout !";
}

?>
