<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Creation de l'action
 */

/**
 * Ajoute un reglement a une adhesion.
 *
 * @param string $args['adhnum'] : identifiant de l'adhesion
 * @param string $args['montant'] : montant du reglement
 * @param string $args['date'] : date du reglement
 *
 * @return true si l'insertion du reglement a fonctionne
 */

require_once GASELL_BASE . '/lib/Adhesion.php';

$checkData = true;
$result = false;
if (!isset($args['adhnum']) || $args['adhnum'] == "")
 {
	$this->errorMessage("Le numero de l'adhesion est invalide");
	$checkData = false;
 }
if (!isset($args['montant']) || !is_numeric($args['montant']))
 {
	$this->errorMessage("Le montant est incorect");
	$checkData = false;
 }
if (!isset($args['date']) || count(explode("/", $args['date'])) != 3)
 {
	$this->errorMessage("La date est invalide. Format : jj/mm/aaaa");
	$checkData = false;
 }

if ($checkData == true)
 {
	$d_tab = explode("/", $args['date']);
	$date = $d_tab[2] . "-" . $d_tab[1] . "-" . $d_tab[0];

	$Adhesion = new Adhesion($args['adhnum']);
	Reglement::Ajoute($Adhesion->adhNum, $args['montant'], $date);
	$result = true;
 }
?>