<?php
/*
 * Gasell: Copyright 2005-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 03/01/2006 DrazziB : Ajout de la phpdoc de l'action
 *  * 12/12/2005 : Hooligan0 Creation de l'action. Elle permet de creer une
 *     nouvelle personne
 */

/**
 * Ajout d'une activite
 *
 * @param string args['racine'] : code de l'activite parente
 * @param string args['libelle'] : libelle de l'activite a creer
 * @param string args['datedebut'] : date de debut de l'activite (format Y-m-d)
 * @param string args['datefin'] : date de fin de l'activite (format Y-m-d)
 */

require_once GASELL_BASE . '/lib/Personne.php';

global $Gasell;

/* Recherche le numero de l'exercice en cours                                */
$exenum = $Gasell->CfgGet("ASSO", "Exercice");

/* Pour tous les parametres passes a la page                                 */
foreach($args['form'] as $k => $v)
	/* Conversion du nom du parametre en minuscules                          */
	$args['form'][strtolower($k)] = $v;

/* Initialisation de variables locales                                       */
$status     = 0;   /* Code de retoure par defaut = 0 : pas d'erreur */
$memNum     = 0;   /* Numero de personne par defaut                 */
$ErrMessage = "";  /* Message d'erreur                              */

while(1)
{
	/* Si le parametrage demande un controle des homonymes                   */
	if ($Gasell->CfgGet("PERSONNES", "CheckHomonymes") == "OUI")
	{
		/* Recherche si le couple nom/prenom est deja dans la base des personnes */
		$params['memnom']    = $args['form']['memnom'];
		$params['memprenom'] = $args['form']['memprenom'];
		$result = Personne::Cherche($params);

		/* Si au moins une personne a ete trouvee avec le meme couple nom/prenom */
		if (!empty($result))
		{
			/* Alors, il n'est pas possible d'ajouter l'utilisateur               */
			$ErrMessage = "Attention : Un homonyme existe ! ";
			$status = -1;
			break;
		}
	}

	/* Instanciation d'un nouvel objet membre                                */
	$newMembre = new Personne;
	/* Renseignement de cet objet membre avec les infos recues du formulaire */
	if (isset($args['form']['memnom']))    $newMembre->memNom    = $args['form']['memnom'];
	if (isset($args['form']['memprenom'])) $newMembre->memPrenom = $args['form']['memprenom'];
	if (isset($args['form']['memsurnom'])) $newMembre->memSurnom = $args['form']['memsurnom'];
	if (isset($args['form']['memville']))  $newMembre->memVille  = $args['form']['memville'];
	if (isset($args['form']['memadr1']))   $newMembre->memAdr1   = $args['form']['memadr1'];
	if (isset($args['form']['memadr2']))   $newMembre->memAdr2   = $args['form']['memadr2'];
	if (isset($args['form']['memcp']))     $newMembre->memCP     = $args['form']['memcp'];
	if (isset($args['form']['memobs']))    $newMembre->memObs    = $args['form']['memobs'];
	if (isset($args['form']['memsexe']))   $newMembre->memSexe   = $args['form']['memsexe'];
	if (isset($args['form']['civcode']))   $newMembre->civcode   = $args['form']['civcode'];
	if (isset($args['form']['memdatnaij']) && isset($args['form']['memdatnaim']) && isset($args['form']['memdatnaia']) && !empty($args['form']['memdatnaia']))
	{
		if (!checkdate($args['form']['memdatnaim'], $args['form']['memdatnaij'], $args['form']['memdatnaia']))
		{
			$ErrMessage = "Format de la date de naissance incorrect !";
			$status = -2;
			break;
		}
		/* Construction de la date de naissance avec Annee-Mois-Jour         */
		$newMembre->memDatNai = $args['form']['memdatnaia']."-".$args['form']['memdatnaim']."-".$args['form']['memdatnaij'];
	}

	/* Controle de la validite des donnees pour le membre                    */
	if ($ecode = $newMembre->ValidCheck())
	{
		$ErrMessage = Personne::errorMessage($ecode);
		$status = -3;
		break;
	}

	$newMembre->Ajoute();
	if (! $newMembre->memNum)
	{
		$ErrMessage = "La base a renvoy&eacute;e une erreur.";
		$status = -4;
		break;
	}
	$memNum = $newMembre->memNum;
	break;
}

/* Construction du tableau des variables resultat                            */
$result['status'] = $status;
$result['memnum'] = $memNum;
$result['emsg']   = $ErrMessage;
?>
