<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Description
 *   Supprime un element dans un parametre de tarif  
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire:
 *  * 24/01/05 Hooligan0 Debut de correction de la structure de gestion des
 *      tarifs : index, appels a la base, suppression de BddTarifs. INCOMPLET !
 *  * 19/12/05 GrdScarabe passage au modele action
 */

/* chargement des dependances */
include_once GASELL_BASE . '/lib/Tarif.php';

global $Gasell;

/* recuperation des arguments */
$table = $args['param']; // nom du parametre concerne
$nom   = $args['code'];  // code de l'element a supprimer

/* Si le numero de l'exercice a ete precise dans la requette */
if (isset($args['exercice']) && !empty($args['exercice']) )
{
	$exercice  = $args['exercice'];
	$bexercice = true;
} else {
	/* Recherche dans la config le numero d'exercice actuel                 */
  	$exercice  = $Gasell->CfgGet("ASSO", "Exercice");
  	$bexercice = false;
}
  
$Tarif = new Tarif($Gasell);
if($bexercice)
	$res = $Tarif->ParamDel($table, $nom, $exercice);
else
	$res = $Tarif->ParamDel($table, $nom);

/* renvoi du resultat */
$result['resultat'] = $res;
$result['message']  = "Suppression d'une entree pour le parametre Ok.";

?>
