<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 01/01/2006 DrazziB : Creation de l'action
 */

/**
 * Suppression d'une comptence affectee a un membre.
 *
 * @param string args['memnum'] : identifiant de la personne.
 * @param string args['compnum'] : identifiant de la competence.
 *
 * @return $result : true si l'ajout en base est ok.
 */

require_once GASELL_BASE . '/lib/Personne.php';
require_once GASELL_BASE . '/lib/Exceptions.php';

$result = false;
if (!isset($args['memnum']) || $args['memnum'] == "")
 {
	Except::throwError("deleteSkill", "Parametre 'memnum' manquant !");
 }

if (!isset($args['compnum']) || $args['compnum'] == "")
 {
	Except::throwError("deleteSkill", "Parametre 'compnum' manquant !");
 }

/* Construction d'un objet Membre pour la personne demandee                */
$Personne = new Personne($args['memnum']);

/* Recherche la liste des competences de la personne                       */
$Competences = $Personne->Competences();
/* Si la competence a supprimer exite en effet pour la personne            */
if (isset($Competences[$args['compnum']]))
 {
	/* Alors, suppression de cette competence                                */
	$Personne->Competence_del($args['compnum']);
	$result = true;
 }

?>
