<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Creation de l'action
 */

/**
 * Recuperation d'une adhesion, de la personne et de ses reglements
 *
 * @param string $args['adhnum'] : identifiant de l'adhesion
 *
 * @return $result['adhesion'] : adhesion qui correspond a l'identifiant
 * @return $result['personne'] : personne lie a l'adhesion
 * @return $result['reglements'] : reglements lie a l'adhesion
 */

require_once GASELL_BASE . '/lib/Adhesion.php';
require_once GASELL_BASE . '/lib/Personne.php';

$result = array();
$result['adhesion'] = NULL;
$result['personne'] = NULL;
$result['reglements'] = NULL;

$adhnum = isset($args['adhnum']) ? $args['adhnum'] : "";

if (! is_numeric($adhnum) )
 {
	$this->errorMessage("Le numero de l'adhesion est invalide.");
 }
else
 {
	$result['adhesion'] = new Adhesion($adhnum);
	$result['personne'] = new Personne($result['adhesion']->memNum);
	$result['reglements'] = $result['adhesion']->Reglements();
 }

?>
