<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 17/01/05 Hooligan0 : Controle des parametres du formulaire d'ajout d'un
 *      nouvel utilisateur.
 *  * 07/11/04 Hooligan0 : Controle si une personne possede deja un compte
 *      lors de l'appel a comptes_ajouter(). Si tel est le cas, redirection
 *      vers comptes_voir(). -> BUG 536
 *  * 08/06/04 Hooligan0 : Ajout de l edition des infos d'un utilisateur et
 *      possibilite de changement de son mot de passe.
 *  * 25/05/04 Hooligan0 : Prise en compte du mot de passe pour la creation
 *      d'un utilisateur horde.
 *  * 04/12/05 : GrdScarabe Passage au modele action
 */

/* ============ DEPENDANCES =========== */
include_once GASELL_BASE . '/lib/ComptesGasell.php';

/* ===== IMPLEMENTATION DE L'ACTION ===== */

global $Gasell;

/* Recherche la liste de tous les utilisateurs de l'appli (pour l'asso)  */
$Comptes = ComptesGasell::listAll();

// TODO : renvoyer un tableau indexe

/* selection de l'index du tableau a considerer */
if (! isset($args['sortby'])) {
	$idx = 0;
}
else
{
	switch ($args['sortby'])
	{
		case "user":
			$idx = 0;
			break;
		case "level":
			$idx = 2;
			break;
		case "memnum":
			$idx = 1;
			break;
	}
}

/* creation de la fonction de trie en fonction 
   de la colonne selectionnee                  */
$func  = 'if($a['.$idx.'] == $b['.$idx.'])';
$func .= '    return 0;';
$func .= 'else ';
$func .= 'return ($a['.$idx.'] < $b['.$idx.']) ? -1 : 1;';
$func_tri = create_function('$a,$b', $func);

/* tri du tableau selon la colonne voulue */
if(count($Comptes) > 0)
     usort($Comptes, $func_tri);

/* ========= PREPARATION DU RESULTAT ========== */
$result["groupes"] = ComptesGasell::groupes();
$result["comptes"] = count($Comptes)>0 ? $Comptes : array();

?>
