<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 01/01/2006 DrazziB : Creation de l'action
 */

/**
 * Recuperation de la liste des objets d'une personne.
 *
 * @param string args['personne'] : identifiant de la personne
 *
 * @return $result : La liste des objets affectes a une personne.
 */

require_once GASELL_BASE . '/lib/Personne.php';
require_once GASELL_BASE . '/lib/Exceptions.php';

$result = NULL;
if ($args['personne'] != NULL)
 {
	/* Si les la gestion des objets est utilisee                               */
	if ($GLOBALS['Gasell']->CfgGet("ASSO", "UseObjets") == "OUI")
	 {
		/* Alors, chargement de la liste des objets de la personne               */
		$result = $args['personne']->Objets();
	 }
 }
else
 {
	Except::throwError("getObjects", "Parametre 'personne' absent !");
 }
?>