<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 11/07/05 Hooligan0 : Creation de cette action de recherche de personne a
 *      partir de la fonction de liste d'admin_users.php
 */

require_once GASELL_BASE . '/lib/Personne.php';

global $Gasell;

/* Recherche le numero d'exercice en cours (pour trouver les adhesions)  */
$ExeNum = $Gasell->CfgGet("ASSO", "Exercice");

$Tous = 0;
if (isset($args['isAll']) && $args['isAll'] == 1)
{
	$Tous = 1;
	$dbresult = Personne::searchAll();
}
else
{
	$Tous = 0;
	$dbresult = Personne::searchByExenum($ExeNum);
}

$Membres = array();
$Cotisations = array();
foreach($dbresult as $array)
{
	$obj = new Personne($array[0]);
	array_push($Membres, $obj);

	foreach($obj->Adhesions as $Adh)
	{
		if ((!isset($Cotisation[$array[0]])) || $Cotisation[$array[0]])
			$Cotisations[$array[0]] = $Adh->CotisationAJour();
	}
}

/* Si un argument de tri a ete precise                                   */
if (isset($args['sortby']) && $args['sortby'] != "" && count($Membres) > 0)
{
	/* Preparation d'un tableau de tri sur un argument                   */
	foreach ($Membres as $key=>$row)
	{
		/* Si le tri est demande sur memnum                              */
		if ($args['sortby'] == "memnum")
		 {
			/* Alors, le tri se fait sur le numero de personne           */
			$argTri[$key]  = $row->memNum;
		 }
		/* Sinon, si le tri sur memnom a ete precise                     */
		else if ($args['sortby'] == "memnom")
		 {
			$argTri[$key]  = $row->memNom;
		 }
		/* Sinon, si le tri sur memprenom a ete precise                  */
		else if ($args['sortby'] == "memprenom")
		 {
			$argTri[$key]  = $row->memPrenom;
		 }
	}
	/* Le tri des objets Membre est fait d'apres le tableau (ci-dessus)  */
	array_multisort($argTri, SORT_ASC, $Membres);
}

$result['personnes'] = $Membres;
$result['cotisations'] = $Cotisations;
?>
