<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 01/01/2006 DrazziB : Creation de l'action
 */

/**
 * Recuperation de la liste des competences disponibles.
 * Si le parametre 'personne' est present on recupere en plus la liste des competences
 * affectees a cette personne.
 *
 * @param string args['personne'] : identifiant d'une personne.
 *
 * @return $result['competences_personne'] : liste des competences de la personne.
 * @return $result['competences'] : liste des competences disponibles.
 */

require_once GASELL_BASE . '/lib/Personne.php';
require_once GASELL_BASE . '/lib/Exceptions.php';

$result = array();
$result['competences'] = NULL;
$result['competences_personne'] = NULL;

/* Chargement de la liste des competences dispo                */
$result['competences'] = Personne::Competences_all();

if ($args['personne'] != NULL)
 {
	/* Si les la gestion des competences est utilisee                          */
	if ($GLOBALS['Gasell']->CfgGet("ASSO", "UseCompetences") == "OUI")
	 {
		/* Alors, chargement de la liste des competences de la personne          */
		$result['competences_personne'] = $args['personne']->Competences();
	 }
 }
?>