<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 01/01/2006 DrazziB : Creation de l'action
 */

/**
 * Sauvegarde des contacts d'une personne.
 *
 * @param string args['memnum'] : identifiant de la personne
 * @param string args[*] : un certain nombre de parametre pour les contacts // FIXME
 *
 * @return $result : true si la sauvegarde a fonctionne.
 */

require_once GASELL_BASE . '/lib/Personne.php';
require_once GASELL_BASE . '/lib/Exceptions.php';

$result = false;
if (isset($args['memnum']))
 {
	$Membre = new Personne($args['memnum']);
	$Moyens = $Membre->MoyensContact();
	$Contacts = $Membre->Contacts();

	foreach($Moyens as $Moyen)
	 {
		if(isset($args[$Moyen]))
		 {
			$Contacts[$Moyen] = $args[$Moyen];
		 }
	 }
	$Membre->ContactsSave($Contacts);
	$result = true;
 }
else
 {
	Except::throwError("saveContactsForPerson", "Parametre 'memnum' manquant !");
 }

?>