<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 01/01/2006 DrazziB : Creation de l'action
 */

/**
 * Ajout d'une Personne en base.
 *
 * @param string $args['memnum'] : identifiant de la personne
 * @param string $args['memNom'] : nom
 * @param string $args['memPrenom'] : prenom
 * @param string $args['memSurnom'] : surnom
 * @param string $args['memDatNaiA'] : annee de naissance
 * @param string $args['memDatNaiM'] : mois de naissance
 * @param string $args['memDatNaiJ'] : jour de naissance
 * @param string $args['memAdr1'] : adresse 1
 * @param string $args['memAdr2'] : adresse 2
 * @param string $args['memCP'] : code postal
 * @param string $args['memVille'] : ville
 * @param string $args['memSexe'] : sexe
 * @param string $args['memObs'] : observations
 *
 * @return $result : booleen qui indique si l'insertion est reussie ou non.
 */

require_once GASELL_BASE . '/lib/Personne.php';
require_once GASELL_BASE . '/lib/Exceptions.php';

$date_naissance = $args['memDatNaiA']."-".$args['memDatNaiM']."-".$args['memDatNaiJ'];

if (isset($args['memnum']))
 {
	/* Creation d'un objet Personne et information a partir du formulaire      */
	$Personne = new Personne($args['memnum']);

	$Personne->memNom    = $args['memNom'];
	$Personne->memPrenom = $args['memPrenom'];
	$Personne->memSurnom = $args['memSurnom'];
	$Personne->memDatNai = $date_naissance;
	$Personne->memAdr1   = $args['memAdr1'];
	$Personne->memAdr2   = $args['memAdr2'];
	$Personne->memCP     = $args['memCP'];
	$Personne->memVille  = $args['memVille'];

	if ($args['memSexe'] == "M")
	 {
		$Personne->memSexe = 1;
	 }
	else if ($args['memSexe'] == "F")
	 {
		$Personne->memSexe = 2;
	 }
	else
	 {
		$Personne->memSexe = 0;
	 }

	$Personne->memObs    = $args['memObs'];
	$Personne->Save();
	$result = true;
 }
else
 {
	Except::throwError("savePerson", "Parametre 'memnum' manquant !");
 }

?>