<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Creation de l'action
 */

/**
 * Ajout d'une adhesion a une personne.
 *
 * @param string $args['memnum'] : identifiant de la personne
 * @param string $args['type'] : type de l'adhesion
 * @param string $args['montant'] : montant de l'adhesion
 * @param string $args['date'] : date de l'adhesion
 *
 * @return true si l'insertion de l'adhesion a fonctionne
 */

require_once GASELL_BASE . '/lib/Personne.php';

$Membres = array();
$displayResults = 0;

/* Creation d'un objet Personne pour l'acces aux fonctions de recherche  */
$Personne = new Personne();

/* Si au moins un parametre de recherche existe dans l'appel a la page       */
if (isset($args['memnum']) || isset($args['adhnum']) ||
	isset($args['memnom']) || isset($args['memprenom']))
 {
	/* Alors, activation de l'affichage d'un resultat                        */
	$displayResults = 1;
 }

/* Extraction des arguments de recherche saisis dans le formulaire       */
if (isset($args['memnum']) && ($args['memnum'] != ""))
 {
	$params['memnum'] = $args['memnum'];
 }
if (isset($args['adhnum']) && ($args['adhnum'] != ""))
 {
	$params['adhnum'] = $args['adhnum'];
 }
if (isset($args['memnom']) && ($args['memnom'] != ""))
 {
	$params['memnom'] = $args['memnom'];
 }
if (isset($args['memprenom']) && ($args['memprenom'] != ""))
 {
	$params['memprenom'] = $args['memprenom'];
 }

/* S'il existe au moins un argument de recherche identifie               */
if (!empty($params))
 {
	/* Alors, la recherche est effectuee parmis les personnes connues    */
	$Membres = $Personne->Cherche($params);
 }

$result['membres'] = $Membres;
$result['display_res'] = $displayResults;
?>