<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Poulard Fabien (GrdScarabe) <grdscarabe@free.fr>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Historique :
 *  * 10/01/2006 DrazziB : Utilisation de la classe ComptesGasell plutot que Gasell.
 *  * 08/12/2005 GrdScarabe : passage au modele action
 *  * 17/01/2005 Hooligan0 : Controle des parametres du formulaire d'ajout d'un
 *       nouvel utilisateur.*  
 *  * 07/11/2004 Hooligan0 : Controle si une personne possede deja un compte
 *      lors de l'appel a comptes_ajouter(). Si tel est le cas, redirection
 *      vers comptes_voir(). -> BUG 536
 *  * 08/06/2004 Hooligan0 : Ajout de l'edition des infos d'un utilisateur et
 *      possibilite de changement de son mot de passe.
 *  * 25/05/2004 Hooligan0 : Prise en compte du mot de passe pour la creation
 *      d'un utilisateur horde.
 */

/* ================ DEPENDANCES ================ */
include_once GASELL_BASE . '/lib/ComptesGasell.php';
include_once GASELL_BASE . '/lib/Exceptions.php';

global $Gasell;

/* ========== INITIALISATION DE L'ACTION ======= */

$uid = $args['uid'];

/* ========== IMPLEMENTATION DE L'ACTION ======= */

/* recuperation de la liste des comptes */
$Comptes = ComptesGasell::listAll();

/* recherche de l'utilisateur demande */
foreach($Comptes as $element)
	if ($element[0] == $uid)
	break;
     
if ($element[0] != $uid)
{
	/* erreur */
	$msg = "Impossible de trouver l'uid $uid dans la liste des comptes";
	Except::throwError("action:showCompte", $msg);
	exit;
}

/* =========== PREPARATION DU RESULTAT ========== */

$result['login']  = $element[0];
$result['memnum'] = $element[1];
$result['level']  = $element[2];

?>
