<?php
/*
 * Gasell: Copyright 2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 06/01/2006 DrazziB : Creation de l'action
 */

/**
 * Valide le reglement d'une adhesion.
 *
 * Chaque parametre de la forme 'reg[0-9]' est decompose afin de recuperer le
 * numero de chaque reglement a valide.
 *
 * @param string $args['regXXX'] : liste des reglements qui doivent etre valides
 *
 * @return $result['reglements'] : liste des reglements valides avec succes
 */

require_once GASELL_BASE . '/lib/Adhesion.php';

$Reglements = array();

/* Pour chaque argument passe en parametre a la page                       */
foreach ($args as $param_nom => $param_valeur)
 {
	/* S'il s'agit d'un champ "reglement valide"                             */
	if (strncmp($param_nom, "reg", 3) == 0)
	 {
		$Reglement = new Reglement(substr($param_nom, 3));
		$Reglement->Valide();
		array_push($Reglements, $Reglement);
	 }
 }

$result['reglements'] = $Reglements;

?>