<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.o
 rg>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: GrdScarabe <grdscarabe@grdscarabe.net>
 *
 * Histoire
 *  * 08/01/06 GrdScarabe : Creation de l'action
 */

/**
 * Cette action permet d'obtenir un tableau contenant cinq champs
 * indexes :
 *   'days'    : numero des jours sans les 0 non necessaires
 *   'daysT'   : numero des jours sur 2 chiffres
 *   'week'    : jours de la semaine
 *   'months'  : contient les noms des mois en entier
 *   'monthsT' : nom des mois tronques a 3 lettres
 *   'years'   : annees, 20 ans autour de l'annee courante
 *   'yearsT'  : comme 'years' mais tronques a 2 chiffres
 *
 *   'select_days'    : chaine representant un select de 'days'
 *   'select_daysT'   : chaine representant un select de 'daysT'
 *   'select_week'    : chaine representant un select de 'week'
 *   'select_months'  : chaine representant un select de 'months'
 *   'select_monthsT' : chaine representant un select de 'monthsT'
 *   'select_years'   : chaine representant un select de 'years'
 *   'select_yearsT'  : chaine representant un select de 'yearsT'
 *  ... le select avec le name est laisse a la discretion des utilisateurs
 */

/* il n'y a pas d'argument */

/* preparation des tableaux */
$result['days']    = array();
$result['daysT']   = array();
$result['week']    = array();
$result['months']  = array();
$result['monthsT'] = array();
$result['years']   = array();
$result['yearsT']  = array();

/* preparation des chaines */
$result['select_days']    = "";
$result['select_daysT']   = "";
$result['select_week']    = "";
$result['select_months']  = "";
$result['select_monthsT'] = "";
$result['select_years']   = "";
$result['select_yearsT']  = "";

/* completion des jours */
for($i=1 ; $i<=31 ; $i++)
{
	/* versions numeriques */
	$result['days'][] = sprintf("%02s", $i);
	$result['days'][] = sprintf("%s", $i);
	/* version caracteres */
	$result['select_days']  .= sprintf("<option value=\"%s\">%02s</option>\n", $i, $i);
	$result['select_daysT'] .= sprintf("<option value=\"%s\">%s</option>", $i, $i);
}

/* completion des semaine */

$result['week'][0] = "Lundi";
$result['week'][1] = "Mardi";
$result['week'][2] = "Mercredi";
$result['week'][3] = "Jeudi";
$result['week'][4] = "Vendredi";
$result['week'][5] = "Samedi";
$result['week'][6] = "Dimanche";


/* completion des mois */

/* version non tronquee */
$result['months'][1]  = "Janvier";
$result['months'][2]  = "F&eacute;vrier";
$result['months'][3]  = "Mars";
$result['months'][4]  = "Avril";
$result['months'][5]  = "Mai";
$result['months'][6]  = "Juin";
$result['months'][7]  = "Juillet";
$result['months'][8]  = "Ao&ucirc;t";
$result['months'][9]  = "Septembre";
$result['months'][10] = "Octobre";
$result['months'][11] = "Novembre";
$result['months'][12] = "D&eacute;cembre";

/* version tronquee */
$result['monthsT'][1]  = "Jan";
$result['monthsT'][2]  = "F&eacute;v";
$result['monthsT'][3]  = "Mar";
$result['monthsT'][4]  = "Avr";
$result['monthsT'][5]  = "Mai";
$result['monthsT'][6]  = "Jui";
$result['monthsT'][7]  = "Jui";
$result['monthsT'][8]  = "Ao&u";
$result['monthsT'][9]  = "Sep";
$result['monthsT'][10] = "Oct";
$result['monthsT'][11] = "Nov";
$result['monthsT'][12] = "D&eacute;c";

/* version caracteres non tronquee */
$result['select_months'] .= "<option value=\"1\">Janvier</option>";
$result['select_months'] .= "<option value=\"2\">F&eacute;vrier</option>";
$result['select_months'] .= "<option value=\"3\">Mars</option>";
$result['select_months'] .= "<option value=\"4\">Avril</option>";
$result['select_months'] .= "<option value=\"5\">Mai</option>";
$result['select_months'] .= "<option value=\"6\">Juin</option>";
$result['select_months'] .= "<option value=\"7\">Juillet</option>";
$result['select_months'] .= "<option value=\"8\">Ao&ucirc;t</option>";
$result['select_months'] .= "<option value=\"9\">Septembre</option>";
$result['select_months'] .= "<option value=\"10\">Octobre</option>";
$result['select_months'] .= "<option value=\"11\">Novembre</option>";
$result['select_months'] .= "<option value=\"12\">D&eacute;cembre</option>";

/* version caracteres tronquee */
$result['select_monthsT'] .= "<option value=\"1\">Jan</option>";
$result['select_monthsT'] .= "<option value=\"2\">F&eacute;v</option>";
$result['select_monthsT'] .= "<option value=\"3\">Mar</option>";
$result['select_monthsT'] .= "<option value=\"4\">Avr</option>";
$result['select_monthsT'] .= "<option value=\"5\">Mai</option>";
$result['select_monthsT'] .= "<option value=\"6\">Jui</option>";
$result['select_monthsT'] .= "<option value=\"7\">Jui</option>";
$result['select_monthsT'] .= "<option value=\"8\">Ao&ucirc;</option>";
$result['select_monthsT'] .= "<option value=\"9\">Sep</option>";
$result['select_monthsT'] .= "<option value=\"10\">Oct</option>";
$result['select_monthsT'] .= "<option value=\"11\">Nov</option>";
$result['select_monthsT'] .= "<option value=\"12\">D&eacute;c</option>";

/* completion des annees */

/* version non tronquee */
$begin = date("Y", mktime(0, 0, 0, date("m"),  date("d"),  date("Y")-20) );
for($i=$begin ; $i<=$begin+40 ; $i++)
{
	/* version numerique */
	$result['years'] = sprintf("%s", $i);
	/* version chaine */
	$result['select_years'] .= "<option value=\"$i\">$i</option>";
}

/* version tronquee */
$begin = date("y", mktime(0, 0, 0, date("m"),  date("d"),  date("Y")-20) );
for($i=$begin ; $i<=$begin+40 ; $i++)
{
	/* version numerique */
	$result['yearsT'] = sprintf("%02s", $i);
	/* version chaine */
	$tmp = sprintf("%02s", $i);
	$result['select_yearsT'] .= "<option value=\"$tmp\">$tmp</option>";
}

?>
