<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 17/01/05 Hooligan0 : Controle des parametres du formulaire d'ajout d'un
 *      nouvel utilisateur.
 *  * 07/11/04 Hooligan0 : Controle si une personne possede deja un compte
 *      lors de l'appel a comptes_ajouter(). Si tel est le cas, redirection
 *      vers comptes_voir(). -> BUG #536
 *  * 08/06/04 Hooligan0 : Ajout de l'edition des infos d'un utilisateur et
 *      possibilite de changement de son mot de passe.
 *  * 25/05/04 Hooligan0 : Prise en compte du mot de passe pour la creation
 *      d'un utilisateur horde.
 *  * 08/01/06 GrdScarabe : suppression de tout ce qui est gere ... preparation
 *      pour la suppression definitive du fichier apres l'implementation des
 *      fonctions restantes en action et leur integration dans l'interface
 */

define('GASELL_BASE', dirname(__FILE__));

function comptes_nouveau_groupe()
 {
  require GASELL_TEMPLATES . '/admin/horde_comptes_nouveau_groupe.inc';
  exit;
 }

function comptes_nouveau_groupe_valide($Gasell, $query_tab, $post)
 {
  $Gasell->groupes_ajouter($post['grpnom'], $post['grpdesc']);
  comptes($Gasell, $query_tab);
  exit;
 }

function comptes_groupe_voir($Gasell, $query_tab)
 {
  $result = $Gasell->groupes($query_tab['groupe']);
  foreach ($result as $groupe)
    $groupe = $groupe;
  require GASELL_TEMPLATES . '/admin/horde_comptes_groupe.inc';
  exit;
 }

function comptes_groupe_deluser($Gasell, $query_tab)
 {
  $Gasell->groupes_suppr($query_tab['groupe'], $query_tab['uid']);
  comptes_groupe_voir($Gasell, $query_tab);
  exit;
 }

function comptes_groupe_insert($Gasell, $query_tab)
 {
  $Gasell->groupes_insert($query_tab['groupe'], $query_tab['login']);
  comptes_groupe_voir($Gasell, $query_tab);
  exit;
 }
/* EOF */
?>
