<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 */


/* Histoire
    * 25/05/04 Hooligan0 : Fix: Le code de retour de la creation d'une
        adhesion pour un nouveau membre etait mal interprete.
*/

define('GASELL_BASE', dirname(__FILE__));

include_once GASELL_BASE . '/lib/base.php';
include_once GASELL_BASE . '/lib/Personne.php';
include_once GASELL_BASE . '/lib/Adhesion.php';
include_once GASELL_BASE . '/lib/Exercice.php';
include_once GASELL_BASE . '/lib/Bdd.php';

/* Mise en forme (tableau) des parametres passes a la page                  */
parse_str($HTTP_SERVER_VARS['QUERY_STRING'], $query_tab);

/* Si aucun parametre n'est passe a la page                                 */
if (empty($query_tab['action']))
  /* On passe par defaut a l'action voir                                    */
  voir($Gasell, $query_tab);  
else if ($query_tab['action'] == 'imprimer_index')
    imprimer_index($Gasell, $query_tab);
else if ($query_tab['action'] == 'voir')
  voir($Gasell, $query_tab);  
else if ($query_tab['action'] == 'imprimer_voir')
    imprimer_voir($Gasell, $query_tab);
else if ($query_tab['action'] == 'edit')
  edit($Gasell, $query_tab);
else if ($query_tab['action'] == 'editsave')
  editsave($Gasell, $query_tab);
else if ($query_tab['action'] == 'editcontactsave')
  editcontactsave($Gasell, $query_tab);
else if ($query_tab['action'] == 'civilite')
  civilite_liste();
else if ($query_tab['action'] == 'civiliteadd')
  civilite_ajoute($query_tab);
/*                                         */
/* Fonctions de manipulation des adhesions */
/*                                         */
else if ($query_tab['action'] == 'adh_detail')
  adhesion_detail($Gasell, $query_tab);
/*                                           */
/* Fonctions de manipulation des competences */
/*                                           */
else if ($query_tab['action'] == 'competenceadd')
  competence_add($Gasell, $query_tab);
else if ($query_tab['action'] == 'competencedel')
  competence_del($Gasell, $query_tab);
/*                                      */
/* Fonctions de manipulation des objets */
/*                                      */
else if ($query_tab['action'] == 'objedit')
  objet_edit($Gasell, $query_tab);
else if ($query_tab['action'] == 'objetadd')
  objet_add($Gasell, $query_tab);
else if ($query_tab['action'] == 'objetdel')
  objet_del($Gasell, $query_tab);
else if ($query_tab['action'] == 'popup')
  popup($query_tab);

/* TODO */
exit;

/**
 * Demande d'edition des informations d'un utilisateur
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query_tab     : Parametres passes a la page
 */
function edit($GasellSession, $query_tab)
 {
  /* Creation d'un objet Personne avec le numero de personne demande         */
  $Personne = new Personne($query_tab['num']);
  
  /* Recherche la liste des moyens de contacts possible pour une personne    */
  $MoyensContact = $Personne->MoyensContact();
  /* Recherche la liste des contacts de la personne                          */
  $Contacts = $Personne->Contacts();
  
  /* Si les la gestion des competences est utilisee                          */
  $UseCompetence = $GasellSession->CfgGet("ASSO", "UseCompetences");
  if (($UseCompetence) && ($UseCompetence == "OUI"))
   {
    /* Alors, chargement de la liste des competences de la personne          */
    $Competences = $Personne->Competences();
    /* Chargement egalement de la liste des competences dispo                */
    $ListeCompetences = $Personne->Competences_all();
   }
  
  /* Si les la gestion des objets est utilisee                               */
  $UseObjets = $GasellSession->CfgGet("ASSO", "UseObjets");
  if ( ($UseObjets) && ($UseObjets == "OUI"))
    /* Alors, chargement de la liste des objets de la personne               */
    $Objets = $Personne->Objets();
  
  /* TODO : Erreur si le numero demande n'existe pas !! */
  require GASELL_TEMPLATES . '/user/user_edit.inc';
  exit;
 }

/**
 * editsave : Sauvegarde du formulaire d'edition des infos sur une personne
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query_tab     : Parametres passes a la page
 */
function editsave($GasellSession, $query_tab)
 {
  $date_naissance = $query_tab['memDatNaiA']."-".$query_tab['memDatNaiM']."-".$query_tab['memDatNaiJ'];
  /* Creation d'un objet Personne et information a partir du formulaire      */
  $Personne = new Personne($query_tab['num']);
  $Personne->memNom    = $query_tab['memNom'];
  $Personne->memPrenom = $query_tab['memPrenom'];
  $Personne->memSurnom = $query_tab['memSurnom'];
  $Personne->memDatNai = $date_naissance;
  $Personne->memAdr1   = $query_tab['memAdr1'];
  $Personne->memAdr2   = $query_tab['memAdr2'];
  $Personne->memCP     = $query_tab['memCP'];
  $Personne->memVille  = $query_tab['memVille'];
  if ($query_tab['memSexe'] == "M")
    $Personne->memSexe   = 1;
  else if ($query_tab['memSexe'] == "F")
    $Personne->memSexe   = 2;
  else
    $Personne->memSexe   = 0;
  $Personne->memObs    = $query_tab['memObs'];
  $Personne->Save();

  voir($GasellSession, $query_tab);
  exit;
 }

function editcontactsave($GasellSession, $query_tab)
 {
  $Membre = new Personne($query_tab['num']);
  $Moyens = $Membre->MoyensContact();
  $Contacts = $Membre->Contacts();
  
  foreach($Moyens as $Moyen)
   {
    if(isset($query_tab[$Moyen]))
      $Contacts[$Moyen] = $query_tab[$Moyen];
   }
  $Membre->ContactsSave($Contacts);
  voir($GasellSession, $query_tab);

  exit;
 }

/**
 * Ajout d'une entree dans la liste des competences de la personne
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query         : Parametres passes a la page
 */
function competence_add($GasellSession, $query_tab)
 {
  /* Construction d'un objet Membre pour la personne demandee                */
  $Personne = new Personne($query_tab['num']);
  
  /* Recherche la liste des competences de la personne                       */
  $Competences = $Personne->Competences();
  /* Si la competence a ajouter n'exite pas encore pour la personne          */
  if (! isset($Competences[$query_tab['compnum']]))
    /* Alors, ajout de cette competence                                      */
    $Personne->Competence_add($query_tab['compnum']);
  
  edit($GasellSession, $query_tab);
  exit;
 }

/**
 * Suppression d'une entree dans la liste des competences de la personne
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query         : Parametres passes a la page
 */
function competence_del($GasellSession, $query_tab)
 {
  /* Construction d'un objet Membre pour la personne demandee                */
  $Personne = new Personne($query_tab['num']);
  
  /* Recherche la liste des competences de la personne                       */
  $Competences = $Personne->Competences();
  /* Si la competence a supprimer exite en effet pour la personne            */
  if (isset($Competences[$query_tab['compnum']]))
    /* Alors, suppression de cette competence                                */
    $Personne->Competence_del($query_tab['compnum']);
  
  edit($GasellSession, $query_tab);
  exit;
 }

/**
 * objet_edit : Liste les objets d'une personne. Le menu permet ajout/suppr
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query_tab     : Parametres passes a la page
 */
function objet_edit($GasellSession, $query_tab)
 {
  $Personne = new Personne($query_tab['num']);
  $Objets = $Personne->Objets();
  require GASELL_TEMPLATES . '/admin/users_objets.inc';
  exit;
 }

/**
 * Ajout d'une entree dans la liste des objets de la personne
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query         : Parametres passes a la page
 */
function objet_add($GasellSession, $query_tab)
 {
  /* Creation d'un objet pour acceder a la personne demandee                 */
  $Personne = new Personne($query_tab['num']);
  
  /* Creation d'un nouvel objet pour la personne                             */
  $Personne->Objets->ajoute($query_tab['libele']);
  
  objet_edit($GasellSession, $query_tab);
  exit;
 }

/**
 * Suppression d'une entree dans la liste des objets de la personne
 *
 * @param Gasell     $GasellSession : Session Gasell de reference
 * @param tab_string $query         : Parametres passes a la page
 */
function objet_del($GasellSession, $query_tab)
 {
  /* Creation d'un objet pour acceder a la personne demandee                 */
  $Personne = new Personne($query_tab['num']);
  
  $Personne->Objets->supprime($query_tab['obj']);
  
  objet_edit($GasellSession, $query_tab);
  exit;
 }

function popup($query)
 {
  $res = Bdd::AdhActClassGets();
  $result=array();
  foreach($res as $data)
    $result[$data[0]] = $data[1];
  require GASELL_TEMPLATES . '/admin/users_popupActivite.inc';
 }

?>
