<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 20/02/05 Hooligan0 : Creation initiale du fichier.
 */

define('GASELL_BASE', dirname(__FILE__));

include_once GASELL_BASE . '/lib/base.php';
include_once GASELL_BASE . '/lib/Personne.php';
include_once GASELL_BASE . '/lib/Adhesion.php';
include_once GASELL_BASE . '/lib/Exercice.php';
include_once GASELL_BASE . '/lib/Bdd.php';

include_once GASELL_BASE . '/lib/gXML.php';


/* Si aucun parametre n'est passe a la page                                 */
if (empty($query_tab['action']))
	/* Alors, il faut afficher l'index general de la section Admin/Membre   */
	index($Gasell, $query_tab);
elseif ($query_tab['action'] == 'save_index')
	save_index($Gasell, $query_tab);

if (empty($_POST['action']))
	index($Gasell, $query_tab);
elseif ($_POST['action'] == 'save_do') 
	save_do($_POST);
 
/**
 * Page d'index pour les backups
 *
 */
function index()
{
	require GASELL_TEMPLATES . '/admin/backup_index.inc';
	exit;
}

/**
 * Page d'index pour realiser une nouvelle sauvegarde
 *
 */
function save_index()
{
	require GASELL_TEMPLATES . '/admin/backup_save_index.inc';
	exit;
}

/**
 * Realise la sauvegarde d'un ensemble d'elements selectionnes
 *
 * @param $query_tab : Arguments passes a la page
 */
function save_do($query_tab)
{
	$X = new gXML();

	/* Initialisation de l'objet XML pour un nouveau document                */
	$X->init();

	/* Si la sauvegarde des personnes a ete demandee                         */
	if (isset($query_tab['personnes']) && ($query_tab['personnes'] == 'on'))
	{
		$PersToSave = Personne::searchAll();
		
		/* Pour toutes les personnes qui sont a sauvegarder ...              */
		foreach ($PersToSave as $pnum)
		{
			$Personne = new Personne($pnum[0]);
			$Xelem = $X->addObject($Personne);
			/* */
		}
	}

	/* Envoi le resultat sous forme de document XML                          */
	header("Content-type: text/xml");
	print_r($X->dump());
	exit;
}

/**
 * Page de test pour les fonction de backups
 *
 */
function test_rd()
{
	$X = new gXML("lna.xml");
	if ($X->getType() != 'backup')
		die("Mauvais type de fichier");
	
	$sct = $X->searchSection();
	/*print_r($sct);*/
	foreach($sct as $e)
	{
		if ($e['name'] == 'personnes')
		{
			print "Il y a des personnes<br>\n";
			$scu = $X->search_section($e['xref']);
			/*print_r($scu);*/
			foreach($scu as $p)
			{
				if ($p['name'] == 'personne')
				{
					$ttt = $X->get_object($p['xref']);
					$num = $ttt['object']->get_num();
					$test = new Personne($num);
					if ($test->get_num() != 0)
					{
						print "Existe deja ";
						//print_r($test);
					}
					else
					{
						$nom = $ttt['object']->memNom;
						//print "Ajoute de ".$nom. " ".$ttt['object']->Ajoute();
					}
					print_r($ttt);
					$ttu = $X->search_section($ttt['xadhesions']);
					foreach($ttu as $adh)
					{
						$ttv = $X->get_object($adh['xref']);
						print_r($ttv);
					}
				}
			}
		}
	}
}
?>