<?php
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 02/05/05 Hooligan0 : Ajout d'un switcheur de page pour permettre
 *      d'eviter les noms fixes de fichiers.
 *  * 27/05/04 Hooligan0 : Ajout des messages d'infos sur la page d'index.
*/

@define('GASELL_BASE', dirname(__FILE__));

/**
 * @func load_default
 *
 * @brief permet de charger la page par defaut de l'application
 *
 * @param $GasellObj GasellPage la page a charger
 * @param $tab       array      parametres tabs
 * @param $post      array      parametres posts
 **/
function load_default(&$GasellObj, $tab, $post){
  /* Sinon, tentative de chargement de la page d'accueil par defaut            */
  if (isset($GLOBALS['PAGE']['_INDEX_']))
    $GasellObj->Page->Load('_INDEX_', $tab, $post);
  /* Sinon (ne doit jamais arriver) configuration incorecte !                  */
  else
    {
    	$msg_fr  = "<b>ERREUR fatale de configuration GASELL !</b><br />";
	$msg_fr .= "Merci d'envoyer un rapport de bug &agrave; ";
	$msg_fr .= "<a href='mailto:atelier-dev@linux-nantes.org'>";
	$msg_fr .= "l'&eacute;quipe de d&eacute;veloppement de GASELL</a>";
	$msg_fr .= "avec le plus d'informations possible sur le contexte de";
	$msg_fr .= "l'erreur (version PHP, fichier configuration ... )";

	$msg_en  = "<b>GASELL settings FATAL ERROR !</b><br />";
	$msg_en .= "Thanks to send a bug report to ";
	$msg_en .= "<a href='mailto:atelier-dev@linux-nantes.org'>the ";
	$msg_en .= "GASELL's development team</a> with as much information";
	$msg_en .= "as possible about the error context (PHP version, ";
	$msg_en .= "configuration file ...)";

	echo $msg_fr;
	echo "<hr width='75%'>";
	echo $msg_en;
	
	/* on sort du processus d'execution par securite */
	exit;
    }
}


$gasell_configured = (@is_readable(GASELL_BASE . '/config/conf.php') );

if (!$gasell_configured)
 {
  include GASELL_BASE . '/templates/index/notconfigured.php';
  exit;
 }

include_once GASELL_BASE . '/lib/base.php';

/* Inclus le fichier d'index des pages disponibles pour le template          */
include_once GASELL_TEMPLATES . '/_pages-defs.php';

/* Initialisation du gestionnaire de page                                    */
$Gasell->PageInit();

/* Si un parametre "page" est passe en argument : Switcheur de pages         */
if (isset($query_post['page']) || isset($query_tab['page']))
{
	/* Extrait le nom de la page suivant qu'il soit passe en GET ou en POST  */
	if (isset($query_post['page']))
		$page = $query_post['page'];
	else
		$page = $query_tab['page'];
	
	/* Si la page demandee existe dans le tableau des pages                  */
	if (isset($PAGE[$page]))
		/* */
		$Gasell->Page->Load($page, $query_tab, $query_post);
	/* Sinon, si la page d'erreur "404" existe                               */
	else if (isset($PAGE['_404_']) && !empty($PAGES['_404_']))
		include_once GASELL_TEMPLATES . '/' . $PAGE['_404_'];
	/* Sinon ... il n'y a plus d'autre choix que d'afficher un msg static    */
	else
	  {
	    $Gasell->Page->errorMessage("ERREUR : Page non definie !");
	    load_default($Gasell, $query_tab, $query_post);
	  }
}
else
  load_default($Gasell, $query_tab, $query_post);

/* Fin explicite du script pour eviter des effets de bords sur autres pages  */
exit;

/* EOF */
?>
