/*
 * Gasell: Copyright 2005-2006 Linux-Nantes Association <contact@linux-nantes.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/**
 * Ce fichier contient les fonctions de manipulation des formulaires.
 */

/* Permet de s'assurer que l'on dispose d'un browser compatible */
var compatible = (document.getElementById
	&& document.getElementsByTagName
	&& document.createElement
	&& !(navigator.userAgent.indexOf('MSIE 5') != -1
		&& navigator.userAgent.indexOf('Mac') != -1)
);

/**
 * Permet d'ajouter une fonction au chargement de la page
 *
 * @author Damien Raude-Morvan <drazzib@drazzib.com>
 * @version $Revision: 1049 $
 * @package gasell
 *
 * @param func 'function' : function qui sera declenchee
 */
function addLoadEvent(func)
 {
	var oldonload = window.onload;
	if (typeof window.onload != 'function')
	 {
		window.onload = func;
	 }
	else
	 {
		window.onload = function()
		 {
			oldonload();
			func();
		 };
	 }
 }

