<?php
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Dim (dimdidi) <dimdidi@voila.fr>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Histoire
	* 05/02/2006 DrazziB : Message d'information lorsque FPDF n'est pas accessible.
	* 20/12/2005 DrazziB :	Precise le nom du fichier a telecharger : $pdf->Output('X', .)
							Force le telechargement : $pdf->Output(.,'X')
							Mise aux normes + ASCII-sation du code.
	* 30/06/2004 Dim : Version initiale
*/

/* Fichier qui doit etre inclu pour FPDF */
define('FPDF_INCLUDE', GASELL_BASE . '/pdf/fpdf.php');
/* Repertoire qui contient les polices */
define('FPDF_FONTPATH', GASELL_BASE . '/pdf/font/');

/* Si le fichier n'existe pas ou bien si il n'est pas lisible par PHP */
if (!file_exists(FPDF_INCLUDE) || !is_readable(FPDF_INCLUDE))
 {
	echo "<html><body>";
	echo "Impossible d'inclure le fichier <b>".FPDF_INCLUDE."</b> afin d'activer le rendu en PDF !";
	echo "<br/>Vous devriez installer FPDF afin de pouvoir afficher cette page.";
	echo "</body></html>";
	exit;
 }

require FPDF_INCLUDE;

class GasellPDF extends FPDF
 {
	/* Titre du PDF */
	var $GSL_pdf_title;

	/* Nom du fichier (pour le telechargement) */
	var $GSL_pdf_filename;

	function GasellPDF($page_name, $orientation='P', $unit='mm', $format='A4')
	 {
		/* Appel du constructeur parent */
		$this->FPDF($orientation, $unit, $format);
		/* Init de la classe courante */
		$this->GSL_pdf_title = $page_name;
		$this->GSL_pdf_filename = $page_name . '-' . date('Y-m-d') . '.pdf';
	}
	
	/* En tete de la page */
	function Header()
	 {
		/* Nom du fichier en gras a gauche */
		$this->SetFont("Times","B",8);
		$this->Cell(175,5,$this->GSL_pdf_title,0,0,"L");
		/*  Date en italique a droite */
		$this->SetFont("Times","I",8);
		$this->Cell(15,5,date("d/m/Y"),0,0,"L");
		$this->SetFont("Times","",5);
		/* Saut de ligne */
		$this->Ln(5);
	 }

	/* Pied de page */
	function Footer()
	 {
		/* Nom utilisateur a gauche */
		$this->SetY(-15);
		$this->SetFont("Times","I",8);
		$this->Cell(85,5,"Nom utilisateur",0,0,"L");
		$this->Cell(85,5,"",0,0,"R");
		/* Numero page a droite */
		$this->Cell(20,5,"Page ".$this->PageNo()."/{nb}",0,0,"C");
	 }
}
/* EOF */
?>