<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Historique :
	* 06/01/2006 DrazziB : Correction des acces a la base, utilisation de l'objet Gasell
	* 22/05/2005 Hooligan0 : Creation de la classe
 */

/**
 * Classe de gestion des objets
 *
 * @author Gwenael Saint-Genest <gwen@hooligan0.net>
 * @version $Revision: 856 $
 * @package gasell
 */
class Objet
 {
  var $memnum;
  
  /**
   * Constructeur de la classe
   *
   * @param  integer $memnum : Numero de personne a charger
   */
  function Objet($memnum = NULL)
   {
    if ($memnum != NULL)
      $this->memnum = $memnum;
    else
      $this->memnum = NULL;
    return;
   }
  
  /**
   * ajoute : Cree un nouvelelement dans la liste des objets
   *
   * @param  string  $libele : Libele du nouvel objet
   * @param  integer $memnum : Numero de la personne a qui affecter l'objet
   * @return NULL/1
   */
  function ajoute($libele, $memnum = NULL)
   {
	global $Gasell;

    /* Si aucun numero de personne n'a ete precice a l'appel                 */
    if ($memnum == NULL)
     {
      /* Si egalement aucun numero n'a ete precice a la creation de l'objet  */
      if ($this->memnum == NULL)
        /* Alors, pas de traitement possible, retour a l'appelant            */
        return(NULL);
      /* Mais si un numero de personne est deja disponible dans l'objet      */
      else
        /* Alors, utilisation du numero stocke dans l'objet                  */
        $memnum = $this->memnum;
     }
    
    $query = "INSERT INTO objets(memnum,objlib) VALUES ('".$memnum."','".$libele."')";
    $Gasell->db-> Requette($query);
    return(1);
   }
  
  /**
   * supprime : Retrait d'un element de la liste des objets
   *
   * @param  integer $id     : Numero de l'objet a supprimer
   * @param  integer $memnum : Numero de la personne a qui affecter l'objet
   * @return NULL/1
   */
  function supprime($id, $memnum = NULL)
   {
	global $Gasell;

    /* Si aucun numero de personne n'a ete precice a l'appel                 */
    if ($memnum == NULL)
     {
      /* Si egalement aucun numero n'a ete precice a la creation de l'objet  */
      if ($this->memnum == NULL)
        /* Alors, pas de traitement possible, retour a l'appelant            */
        return(NULL);
      /* Mais si un numero de personne est deja disponible dans l'objet      */
      else
        /* Alors, utilisation du numero stocke dans l'objet                  */
        $memnum = $this->memnum;
     }
    
    $query = "DELETE FROM objets WHERE memnum='".$memnum."' AND objnum='".$id."'";
    $Gasell->db-> Requette($query);
    return(1);
   }
 }
/* EOF */
?>