<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *
 * Histoire:
 *  * 25/06/2006 DrazziB : Ajout de la gestion d'un mauvais couple login / password
        redirection vers une page differente
 *  * 09/07/2005 Hooligan0 : Mise a disposition des parametres POST dans une
 *      variable $query_post
 *  * 11/02/2005 Hooligan0 : Retrait de la fonction de check des mises a jour
 *      pour un futur deplacement vers la section admin.
 *  * 19/05/2005 leon : suppression de la dependance a Horde
 */

if (isset($_REQUEST['GLOBALS']))
 {
	echo '<a href="http://www.hardened-php.net/index.76.html">$GLOBALS overwrite vulnerability</a>';
	die(-1);
 }

/* demarrage de la session */
if (!isset($_SESSION)) { session_start(); }

/* Configurer le repertoire de base pour Gasell                             */
@define('GASELL_BASE', dirname(__FILE__) . '/..');
@define('GASELL_LIB', dirname(__FILE__) . '/');

/* Chargement de la config specifique a GASELL                               */
require_once GASELL_BASE . '/config/conf.php';

/* Chargement de la librairie de base de Gasell                             */
require_once GASELL_BASE . '/lib/Gasell.php';

/**
 * complete un chemin en lui fournissant la racine de l'application
 * et le http:// qui va bien devant, pour avoir une belle URL.
 */
function applicationUrl($chemin) {
  if ($chemin{0} == '/')
    /* On supprime le premier slash */
    $chemin = substr($chemin,1);
  return $chemin;
}

// set error reporting according to config settings
@error_reporting($conf['debug_level']);

// set max execution time according to config settings
@set_time_limit($conf['max_exec_time']);

// set the umask according to config settings
if (isset($conf['umask']))
	umask($conf['umask']);

/* Decomposition des parametres GET passes a la page dans un tableau        */
parse_str($_SERVER['QUERY_STRING'], $query_tab);
/* Sauvegarde des parametres POST pases a la page dans une variable         */
$query_post = $_POST;

/* Est ce que l'authentification de l'utilisateur est ok ..?                */
require GASELL_BASE . '/login.php';

/* Si un parametre de specification de l'asso est passe a la page            */
if (isset($query_tab['asso']))
	$_SESSION['gasell']['user']['asso'] = $query_tab['asso'];

/* Creation de l'objet Gasell initial pour l'utilisateur                    */
/* Passage de la connexion en parametre */
$Gasell = new Gasell($auth->getUser());
$GGasell = $Gasell;
global $GGasell;
if (!$auth->isOk()) {
	/* Alors, impossible de continuer, redirection vers une page d'erreur   */
	require GASELL_BASE . "/templates/wrong_credentials.php";
    exit;
}
/* Si l'utilisateur n'est pas reconnu par Gasell ...                        */
else if ($Gasell->user == NULL)
{
	/* Alors, impossible de continuer, redirection vers une page d'erreur   */
	require GASELL_BASE . "/templates/login_refused.php";
    exit;
}
else if (is_array($Gasell->user['asso']))
{
	require GASELL_BASE . "/templates/login_asso.php";
	exit;
}

/* Niveau place par defaut tant que la gestion des niveaux n'est pas faite  */
$ULevel = $Gasell->user['level'];
$GUserNum = $Gasell->user['memnum'];
/* Si une base specifique est precisee pour cet utilisateur ...             */
//if ($Gasell->user['db'] != "")
  /* Alors, switch la configuration pour qu'elle soit prise en compte       */
//  $conf['bdd']['db'] = $Gasell->user['db'];
/* Si un prefixe de table est precise pour cet utilisateur ...              */
if ($Gasell->user['dbprefix'] != "")
  /* Alors, switch la configuration pour qu'il soit pris en compte          */
  $conf['bdd']['prefix'] = $Gasell->user['dbprefix'];

/* TODO: Ajouter un controle de l'existance du template */

if ($Gasell->user['template'] != NULL)
 {
  @define('GASELL_TEMPLATES', GASELL_BASE . '/' . $Gasell->user['template']);
 }
else if (isset($query_tab['template']))
 {
  @define('GASELL_TEMPLATES', GASELL_BASE . '/' . $query_tab['template']);
  $_SESSION['gasell_template'] = $query_tab['template'];
 }
else if (isset($_SESSION['gasell_template']))
  @define('GASELL_TEMPLATES', GASELL_BASE . '/' . $_SESSION['gasell_template']);
else
  @define('GASELL_TEMPLATES', GASELL_BASE . '/templates');

/* Si la template dispose d'un fichier de configuration prive               */
if (file_exists(GASELL_TEMPLATES . '/config.cfg'))
 {
  require GASELL_TEMPLATES . '/config.cfg';
 }
?>
