-- Resume : Changement du nom de la table horde_gasell vers comptes_gasell
-- Auteur : Raude-Morvan Damien <drazzib@drazzib.com>
-- Revision : r978

-- Creation de la nouvelle table 'comptes_gasell'
CREATE TABLE comptes_gasell (
    user_uid character varying(255) NOT NULL,
    memnum integer,
    "level" integer,
    "template" character varying(255),
    db character varying(255),
    dbprefix character varying(255),
    asso character varying(255)
);

-- Pseudo clef primaire
ALTER TABLE comptes_gasell
    ADD CONSTRAINT comptes_gasell_user_uid_key UNIQUE (user_uid, asso);

-- Reference vers la table 'personne'
ALTER TABLE comptes_gasell
    ADD CONSTRAINT comptes_gasell_memnum_fkey FOREIGN KEY (memnum)
    REFERENCES personne(memnum) ON UPDATE CASCADE;

-- Migration des donnees depuis l'ancienne table horde_gasell
-- vers comptes_gasell
INSERT INTO comptes_gasell SELECT * FROM horde_gasell;