<?
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */
 
/* Histoire
	* 09/07/2005 DrazziB : Creation du template pour l'ajout d'une activite
	* 16/12/2005 DrazziB : Nouveau CSS + XHTML 1.0
*/

if ($this->getArg("action") == "create")
 {
	$params = array();
	$datedebj  = $this->getArg("datdebj");
	$datedebm  = $this->getArg("datdebm");
	$datedeba  = $this->getArg("datdeba");
	$datedebut = $datedeba . '-' . $datedebm . '-' . $datedebj;
	$nodatedeb = $this->getArg("nodatedeb");

	$datefinj  = $this->getArg("datfinj");
	$datefinm  = $this->getArg("datfinm");
	$datefina  = $this->getArg("datfina");
	$datefin   = $datefina . '-' . $datefinm . '-' . $datefinj;
	$nodatefin = $this->getArg("nodatefin");

	$params['libelle']  = $this->getArg("libelle");
	$params['racine']  = $this->getArg("racine");

	if ($nodatedeb == false)
	 {
		$params['datedebut'] = $datedebut;
	 }
	if ($nodatefin == false)
	 {
		$params['datefin'] = $datefin;
	 }
	$result = $this->doAction("admin", "createActivite", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_index&racine=".$this->getArg("racine"));
 }


/* Parametres pour l'action 'getDateIntervalle' */
$params = array();
if ($this->getArg('racine') != NULL)
 {
	/* Chargement de l'activite parente */
	$parentActivity = $this->doAction('admin', 'getActivity', array('code' => $this->getArg('racine')));

	/* Chargement des dates de debut et de fin*/
	$defaultStartDate = $parentActivity->startDate;
	$defaultEndDate = $parentActivity->endDate;
	if ($defaultStartDate != "")
	 {
		/* Si on dispose d'une date de debut, on l'utilise comme debut de l'intervalle */
		$params['datedeb'] = $defaultStartDate;
	 }
	if ($defaultEndDate != "")
	 {
		/* Si on dispose d'une date de fin, on l'utilise comme fin de l'intervalle */
		$params['datefin'] = $defaultEndDate;
	 }
 }

/* On charge l'intervalle de date */
$result = $this->doAction('tools', 'getDateIntervalle', $params);
/* Extraction des objets depuis le retour de l'action */
$dayTab = $result['jours'];
$monthTab = $result['mois'];
$yearTab = $result['annees'];

/* Generation de l'entete de la page */
$title = array('admin_activite_index' => 'Activit&eacute;s', 'Ajout');
/* Permet d'ajouter une fonction dans le header de la page */
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	$js = "addLoadEvent(function() {
	switchFieldState(new Array('datdebj','datdebm','datdeba'), 'nodatedeb');
	switchFieldState(new Array('datfinj', 'datfinm','datfina'), 'nodatefin');
	});";
 }
else
 {
	$js = "";
 }
$this->loadInclude('_HEADER_', array('title'=>$title, 'js'=>$js));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">

<form method="POST" action="<?php echo applicationUrl('index.php?page=admin_activite_ajout&action=create');?>">

<fieldset>
	<legend>Cr&eacute;ation d'une nouvelle activite</legend>

<label for="racine">Activit&eacute; parente :</label>
<?php 
if (isset($parentActivity) && ($parentActivity->id != NULL))
 {
echo "<input type=\"text\" value=\"" . $parentActivity->label . "\" disabled=\"disabled\"/>";
echo "<input type=\"hidden\" name=\"racine\" value=\"" . $parentActivity->id . "\"/>";
 }
else
 {
echo "<input type=\"text\" value=\"Racine\" disabled=\"disabled\"/>";
echo "<input type=\"hidden\" name=\"racine\" value=\"0\"/>";
 }
?>
<br />

<label for="libelle">Libell&eacute; :</label><input type="text" name="libelle">
<br />

<label>Date de d&eacute;but :</label>
<select name="datdebj" id="datdebj">
<?php
foreach ($dayTab as $dayNumber => $dayName)
 {
   echo "<option value=\"" . $dayNumber . "\">" . $dayName . "</option>";
 }
?>
</select>
<select name="datdebm" id="datdebm">
<?php
foreach ($monthTab as $monthNumber => $monthName)
 {
   echo "<option value=\"" . $monthNumber . "\">" . $monthName . "</option>";
 }
?>
</select>
<select name="datdeba" id="datdeba">
<?php
foreach ($yearTab as $yearNumber => $yearName)
 {
   echo "<option value=\"" . $yearNumber . "\">" . $yearName . "</option>";
 }
?>
</select>
<input type="checkbox" name="nodatedeb" id="nodatedeb" checked="true"<?php
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	echo " onChange=\"switchFieldState(new Array('datdebj', 'datdebm','datdeba'), 'nodatedeb')\"";
 }
?>/> Pas de date de debut
<br />

<label>Date de fin :</label>
<select name="datfinj" id="datfinj">
<?php
foreach ($dayTab as $dayNumber => $dayName)
 {
   echo "<option value=\"" . $dayNumber . "\">" . $dayName . "</option>";
 }
?>
</select>
<select name="datfinm" id="datfinm">
<?php
foreach ($monthTab as $monthNumber => $monthName)
 {
   echo "<option value=\"" . $monthNumber . "\">" . $monthName . "</option>";
 }
?>
</select>
<select name="datfina" id="datfina">
<?php
foreach ($yearTab as $yearNumber => $yearName)
 {
   echo "<option value=\"" . $yearNumber . "\">" . $yearName . "</option>";
 }
?>
</select>
<input type="checkbox" name="nodatefin" id="nodatefin" checked="true"<?php
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	echo " onChange=\"switchFieldState(new Array('datfinj', 'datfinm','datfina'), 'nodatefin')\"";
 }
?>/> Pas de date de fin
<br/>

<input type="submit" value="Validation">

</fieldset>
</form>

</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>