<?
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
	* 16/12/2005 DrazziB : Nouveau CSS + XHTML 1.0
	* 07/07/2005 DrazziB : Cloture des activites
	* 21/01/2005 DrazziB : XHTML 1.0
	* 09/06/2004 Hooligan0 : Remise en forme de l'entete et divers corrections
        pour que le HTML soit valide.
*/

if ($this->getArg("action") == "close")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "closeActivite", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_index&racine=" . $this->getArg("racine"));
 }
else if ($this->getArg("action") == "delete")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "deleteActivite", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_index&racine=" . $this->getArg("racine"));
 }


/* On recupere la racine passee en parametre */
$params = array();
if ($this->getArg('racine') != NULL)
 {
	$params['racine'] = $this->getArg('racine');
 }
else
 {
	$params['racine'] = "0";
 }
/* On affiche l'ensemble des activites */
$params['showAll'] = true;
/* ... afin d'obtenir la liste des activites depuis cette racine */
$result = $this->doAction('admin', 'getActivites', $params);
/* Extraction des objets depuis le retour de l'action */
$Base = $result['base'];
$tabActivite = $result['list'];

if ($Base != NULL)
{
	$baseId = $Base->id;
	$baseLabel = $Base->label;
}
else
{
	$baseId = 0;
	$baseLabel = "Racine";
}

/* Generation de l'entete de la page */
$title = array('admin_activite_index' => 'Activit&eacute;s');
$this->loadInclude('_HEADER_', array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

	<div class="iconbar">
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_activite_ajout&racine='.$baseId);?>">
			<img src="graphics/admin/edit.png" alt="[Ajouter]"/>
			<span>Ajouter</span>
			</a>
		</div>
	</div>

<br/>

	<div class="bloc">
	
<fieldset>
	<legend>Liste des activit&eacute;s &agrave; ce niveau :
		<a href="<?php echo applicationUrl('index.php?page=admin_activite_index&racine=0');?>">RACINE</a>
		<?php
		if ($baseId != 0)
		 {
		?>
			> <a href="<?php echo applicationUrl('index.php?page=admin_activite_index&racine='.$baseId);?>"><?echo $baseLabel;?></a>
		<?php
		 }
		?>
	</legend>

<table class="tabmain">
<tr>
	<th class="smallheader" width="60">Code</td>
	<th class="smallheader">Libell&eacute;</td>
	<th class="smallheader">Date de d&eacute;but</td>
	<th class="smallheader">Date de fin</td>
	<th class="smallheader" colspan="3" width="20">Action</td>
</tr>
<?php
	if (count($tabActivite) == 0)
	 {
?>
<tr class="text">
	<td class="text" colspan="5"><i>Aucune activit&eacute; d&eacute;finie &agrave; ce niveau</i></td>
</tr>
<?php
	 }
	else
	 {
		$i = 0;
		foreach($tabActivite as $activite)
		 {

			/* Permet d'alterner les styles des lignes */
			if ($i % 2)
			 {
				$classText = "item0";
			 }
			else
			 {
				$classText = "item1";
			 }
?>
<tr class="text <?php echo $classText ?>">
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_index&racine='.$activite->id);?>"><?echo $activite->id;?></a></td>
	<td><?php
if ($activite->endDate != 0 && date("Y-m-d") >= $activite->endDate)
 {
	echo "<del>";
 }

echo $activite->label;

if ($activite->endDate != 0 && date("Y-m-d") >= $activite->endDate)
 {
	echo "</del>";
 }
?></td>
	<td><?php
if($activite->startDate != NULL)
 {
	echo $activite->startDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><?php
if($activite->endDate != NULL)
 {
	echo $activite->endDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_edit&code='.$activite->id);?>"><img src="graphics/admin/edit.png" alt="Edition" border="0" height="16" title="Edition"/></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_index&action=delete&code='.$activite->id.'&racine='.$baseId);?>"><img src="graphics/trash.png" alt="Suppression" border="0" height="16" title="Suppression"/></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_index&action=close&code='.$activite->id.'&racine='.$baseId);?>"><img src="graphics/close.png" alt="Cloture" border="0" height="16" title="Cloture"/></a></td>
</tr>
<?
			$i++; // calcul pair / impair
		 } // foreach
	 } // if
?>
</table>
</fieldset>

</div>

</div>

<?php $this->loadInclude('_FOOTER_'); ?>
