<?
/*
 * Gasell: Copyright 2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */
 
/* Histoire
	* 03/12/2005 DrazziB : Creation du template pour l'edition d'une activite
	* 12/12/2005 DrazziB : Ajout de la date de participation dans le tableau.
	                     Modification des dates de l'activite.
	* 16/12/2005 DrazziB : Nouveau CSS + XHTML 1.0
*/

if ($this->getArg("action") == "create")
 {

	$datedebj  = $this->getArg("datdebj");
	$datedebm  = $this->getArg("datdebm");
	$datedeba  = $this->getArg("datdeba");
	$datedebut = $datedeba . '-' . $datedebm . '-' . $datedebj;
	$nodatedeb = $this->getArg("nodatedeb");

	$datefinj  = $this->getArg("datfinj");
	$datefinm  = $this->getArg("datfinm");
	$datefina  = $this->getArg("datfina");
	$datefin   = $datefina . '-' . $datefinm . '-' . $datefinj;
	$nodatefin = $this->getArg("nodatefin");

	$params = array();
	$params['activity']  = $this->getArg("activity");
	$params['personne']  = $this->getArg("personne");

	if ($nodatedeb == false)
	 {
		$params['datedebut'] = $datedebut;
	 }
	if ($nodatefin == false)
	 {
		$params['datefin'] = $datefin;
	 }
	$result = $this->doAction("admin", "createParticipation", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_edit&code=".$this->getArg("activity"));
 }
else if ($this->getArg("action") == "close")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "closeParticipation", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_edit&code=".$this->getArg("activity"));
 }
else if ($this->getArg("action") == "delete")
 {
	$params = array();
	$params['code']      = $this->getArg("code");
	$result = $this->doAction("admin", "deleteParticipation", $params);

	if ($result == true)
		$this->doRedirect("admin_activite_edit&code=".$this->getArg("activity"));
 }
else if ($this->getArg("action") == "saveReport")
 {
	$params = array();
	$params['code']          = $this->getArg("code");
	$params['report']        = $this->getArg("report");
	$result = $this->doAction("admin", "saveReportForActivity", $params);
	$message = $result['message'];
	$valid   = $result['valid'];
 }

/* On charge la liste des personnes */
$result = $this->doAction('admin', 'getPersonnes', array('isAll' => 1));
/* Extraction des objets depuis le retour de l'action */
$tabPersonnes = $result['personnes'];

/* On charge la liste des participations pour cette activite */
$params = array();
$params['activity'] = $this->getArg('code');
$tabParticipation = $this->doAction('admin', 'getParticipations', $params);

/* Parametres pour l'action 'getDateIntervalle' */
$params = array();
if ($this->getArg('code') != NULL)
 {
	/* Chargement de l'activite a modifier */
	$activity = $this->doAction('admin', 'getActivity', array('code' => $this->getArg('code')));

	/* Chargement des dates de debut et de fin de */
	$defaultStartDate = $activity->startDate;
	$defaultEndDate = $activity->endDate;
	if ($defaultStartDate != "")
	 {
		/* Si on dispose d'une date de debut, on l'utilise comme debut de l'intervalle */
		$params['datedeb'] = $defaultStartDate;
	 }
	if ($defaultEndDate != "")
	 {
		/* Si on dispose d'une date de fin, on l'utilise comme fin de l'intervalle */
		$params['datefin'] = $defaultEndDate;
	 }
 }
else
 {
	/* PROBLEME : la page n'est pas appellee avec les bons parametres */
	die ("Impossible d'afficher la page : parametre 'code' manquant !");
 }

/* On charge l'intervalle de date */
$result = $this->doAction('tools', 'getDateIntervalle', $params);
/* Extraction des objets depuis le retour de l'action */
$dayTab = $result['jours'];
$monthTab = $result['mois'];
$yearTab = $result['annees'];

/* Generation de l'entete de la page */
$title = array('admin_activite_index' => 'Activit&eacute;s', 'Modification');
/* Permet d'ajouter une fonction dans le header de la page */
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	$js = "addLoadEvent(function() {
	switchFieldState(new Array('datdebj','datdebm','datdeba'), 'nodatedeb');
	switchFieldState(new Array('datfinj', 'datfinm','datfina'), 'nodatefin');
	});";
 }
else
 {
	$js = "";
 }
$this->loadInclude('_HEADER_', array('title'=>$title, 'js'=>$js));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">

<form method="POST" action="<?php echo applicationUrl('index.php?page=admin_activite_edit&action=saveReport');?>">

<fieldset>
	<legend>Bilan de l'activit&eacute; "<?php echo $activity->label; ?>"</legend>

<?php 
if(isset($valid) && isset($message))
 {
	if($valid)
	 {
		echo "<div class=\"success\">$message</div>";
	 }
	else
	 {
		echo "<div class=\"error\">$message</div>";
	 }
 }
?>

<?php
echo "<input type=\"hidden\" name=\"code\" value=\"" . $activity->id . "\"/>";
?>
<label for="report">Bilan g&eacute;n&eacute;ral : </label>
<textarea name="report"><?php echo $activity->bilan ?></textarea>
<br />

<input type="submit" value="Valider">
</fieldset>
</form>

<br/>

<fieldset>
	<legend>Participations &agrave; l'activit&eacute; "<?php echo $activity->label; ?>"</legend>

<table class="tabmain">
	<tr>
		<th class="smallheader" width="60">Code</td>
		<th class="smallheader">Personne (Adh&eacute;rent ?)</td>
		<th class="smallheader">Date de d&eacute;but</td>
		<th class="smallheader">Date de fin</td>
		<th class="smallheader" width="20" colspan="3">Action</td>
	</tr>
<?php
	if (!isset($tabParticipation) || (count($tabParticipation)) == 0)
	 {
?>
		<tr class="text">
			<td colspan="7" class="text"><i>Aucune participation</i></td>
		</tr>
<?php
	 }
	else
	 {
		$i = 0;
		foreach($tabParticipation as $participation)
		 {

			/* Permet d'alterner les styles des lignes */
			if ($i % 2)
			 {
				$classText = "item0";
			 }
			else
			 {
				$classText = "item1";
			 }
?>
<tr class="text <?php echo $classText ?>">
	<td><?php echo $participation->id;?></a></td>
	<td><?php
if ($participation->endDate != 0 && date("Y-m-d") >= $participation->endDate)
 {
	echo "<del>";
 }

echo $participation->personne->memPrenom . " " . $participation->personne->memNom;

if ($participation->adhesion != "")
 {
	echo "<i>(via adh&eacute;sion)</i>";
 }

if ($participation->endDate != 0 && date("Y-m-d") >= $participation->endDate)
 {
	echo "</del>";
 }
?></td>
	<td><?php
if($participation->startDate != NULL)
 {
	echo $participation->startDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><?php
if($participation->endDate != NULL)
 {
	echo $participation->endDate;
 }
else
 {
	echo "-";
 }
?></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_edit&action=delete&code='.$participation->id.'&activity='.$participation->activity->id);?>"><img src="graphics/trash.png" alt="Suppression" border="0"/></a></td>
	<td><a href="<?php echo applicationUrl('index.php?page=admin_activite_edit&action=close&code='.$participation->id.'&activity='.$participation->activity->id);?>"><img src="graphics/close.png" alt="Cloture" border="0"/></a></td>
</tr>
<?php if ($participation->bilan != "")
 { 
?>
<tr>
	<td colspan="7" class="<?php echo $classText ?>"><b>Bilan</b> : <i><?php echo $participation->bilan; ?></i></td>
</tr>
<?php
 }
?>
<?
		$i++; // calcul pair / impair
		 } // foreach
	 } // if
?>
</table>
</fieldset>

<br/>

<form method="POST" action="<?php echo applicationUrl('index.php?page=admin_activite_edit&action=create');?>">

<fieldset>
	<legend>Ajouter une participation &agrave; l'activit&eacute; "<?php echo $activity->label; ?>"</legend>

<label for="personne">Personne :</label>
<select name="personne">
<?php
if (isset($tabPersonnes) && !empty($tabPersonnes))
 {
	foreach ($tabPersonnes as $oPersonne)
	 {
		echo "<option value=\"".$oPersonne->memNum."\">$oPersonne->memCiv $oPersonne->memPrenom $oPersonne->memNom</option>";
	 }
 }
?>
</select>
<br />

<label for="activity">Activit&eacute; :</label>
<?php
echo "<input type=\"text\" value=\"" . $activity->label . "\" disabled=\"disabled\"/>";
echo "<input type=\"hidden\" name=\"activity\" value=\"" . $activity->id . "\"/>";
echo "<input type=\"hidden\" name=\"code\" value=\"" . $activity->id . "\"/>";
?>
<br />

<label>Date de d&eacute;but :</label>
<select name="datdebj" id="datdebj">
<?php
foreach ($dayTab as $dayNumber => $dayName)
 {
   echo "<option value=\"" . $dayNumber . "\">" . $dayName . "</option>";
 }
?>
</select>
<select name="datdebm" id="datdebm">
<?php
foreach ($monthTab as $monthNumber => $monthName)
 {
   echo "<option value=\"" . $monthNumber . "\">" . $monthName . "</option>";
 }
?>
</select>
<select name="datdeba" id="datdeba">
<?php
foreach ($yearTab as $yearNumber => $yearName)
 {
   echo "<option value=\"" . $yearNumber . "\">" . $yearName . "</option>";
 }
?>
</select>
<input type="checkbox" name="nodatedeb" id="nodatedeb" checked="true"<?php
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	echo " onChange=\"switchFieldState(new Array('datdebj', 'datdebm','datdeba'), 'nodatedeb')\"";
 }
?>/> Pas de date de debut
<br />

<label>Date de fin : </label>
<select name="datfinj" id="datfinj">
<?php
foreach ($dayTab as $dayNumber => $dayName)
 {
   echo "<option value=\"" . $dayNumber . "\">" . $dayName . "</option>";
 }
?>
</select>
<select name="datfinm" id="datfinm">
<?php
foreach ($monthTab as $monthNumber => $monthName)
 {
   echo "<option value=\"" . $monthNumber . "\">" . $monthName . "</option>";
 }
?>
</select>
<select name="datfina" id="datfina">
<?php
foreach ($yearTab as $yearNumber => $yearName)
 {
   echo "<option value=\"" . $yearNumber . "\">" . $yearName . "</option>";
 }
?>
</select>
<input type="checkbox" name="nodatefin" id="nodatefin" checked="true"<?php
if (isset($conf['user']['js']) && $conf['users']['js'])
 {
	echo " onChange=\"switchFieldState(new Array('datfinj', 'datfinm','datfina'), 'nodatefin')\"";
 }
?>/> Pas de date de fin
<br />

<input type="submit" value="Valider">
</fieldset>
</form>

</div>
</div>

<?php $this->loadInclude('_FOOTER_'); ?>