<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 13/07/05 Hooligan0 : Convertion de la page au format a "actions"
 *  * 21/02/05 Hooligan0 : Creation initiale de la page
*/

/* Si l'action "save_do" a ete demandee dans le formulaire */
if ($this->getArg("action") == "save_do")
{
	/* Alors, une nouvelle sauvegarde est a realiser */
	
	$result = $this->doAction("admin", "backupPrepare", array());
	$objBackup = $result['gxml'];

	/* Est-ce que la sauvegarde des civilites est demandee ? */
	if ($this->getArg("civilites"))
	{
		$result = $this->doAction("admin", "getPersonnesCivilites", array());
		$params['id'] = $objBackup;
		$params['objects'] = $result['civilites'];
		$this->doAction("admin", "backupAddObjects", $params);
	}

	$incluePersonnes = $this->getArg("personnes");
	if ($incluePersonnes && ($incluePersonnes != "0"))
	{
		$params = array();
		/* Recherche la liste des personnes */
		if ($incluePersonnes == "all")
			$params['isAll'] = 1;
		$result = $this->doAction("admin", "getPersonnes", $params);
		
		/* Place le resultat de la recherche en parametre d'enregistrement */
		$params = array();
		$params['id']      = $objBackup;
		$params['objects'] = $result['personnes'];
		/* Sauvegarde la liste d'objets */
		$this->doAction("admin", "backupAddObjects", $params);
	}
	
	if ($this->getArg("outformat") == "gxml")
	{
		header("Content-type: text/xml");
		print_r($objBackup->dump());
		exit(0);
	}
}

$title = array('Administration', 'Backup', 'Nouvelle sauvegarde');
$this->loadInclude('_HEADER_', array('title'=>$title));
?>
<div class="contenu">
	<div class="bloc">
		<h1>S&eacute;lection des &eacute;l&eacute;ments a sauvegarder</h1>
		<form action="index.php?page=admin_backup_save" method="post">
		<p><input type="hidden" name="action" value="save_do"/></p>
		<div class="subbloc">
			<h1>Personnes</h1>
			<input type="radio" name="personnes" value="0" />aucunes<br />
			<input type="radio" name="personnes" value="cur" />Membres de l'exercice courant<br />
			<input type="radio" name="personnes" value="all" />Toutes les personnes<br />
			<br />
			<input type="checkbox" name="civilites" />Civili&eacute;s
		</div>
		<div class="subbloc">
			<h1>Adh&eacute;sions</h1>
			<input type="checkbox" name="typeadhesion" />Sauvegarder les types d'adh&eacute;sions<br />
			<input type="checkbox" name="adhesions" />Adh&eacute;sions des personnes<br/>
		</div>
		<div class="subbloc">
			<h1>Format de sortie</h1>
			<input type="radio" name="outformat" value="gxml" checked="checked" />XML Gasell natif<br />
			<input type="radio" name="outformat" value="csv" />CSV (not supported yet)<br />
		</div>
		<p><input type="submit" value="Enregistrer"/></p>
		</form>
	</div>
</div>
<?php $this->loadInclude('_FOOTER_'); ?>
