<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 25/05/04 Hooligan0 : Ajout d'un champ "mot de passe" dans les parametres 
 *      du nouveau compte utilisateur.
 *  * 08/06/04 Hooligan0 : Remise en forme de l'entete et divers corrections
 *      pour que le HTML soit valide.
 *  * 16/01/2005 GrdScarabe : Ajout de la validation du formulaire par JavaScript
 *  * 17/01/05 Hooligan0 : Lorsque le formulaire est recharge (parce que mal
 *      rempli par exemple), les cases peuvent etre pre-saisies.
 *  * 21/01/05 DrazziB : XHTML 1.0
 */

require_once GASELL_BASE . "/lib/Exceptions.php";

/* Creation de la page */
$pageName = $this->getPageName();

/* Est-ce que l'on doit valider un formulaire ? */
if($this->getArg("toValid"))
{
	/* LANCEMENT DE LA VERIFICATION */
	$params['memnum'] = $this->getArg("memnum");
	$params['memnom'] = $this->getArg("memnom");
	$params['password']=$this->getArg("password");
	$params['passwordv']=$this->getArg("passwordv");
	$params['level'] = $this->getArg("level");
	$result = $this->doAction("admin", "validAddCompte", $params);

	/* on verifie si les donnees sont valides ou non */
	if($result['valid'])
	{
		/* LANCEMENT DE LA CREATION DU COMPTE */
		$params['memnum']   = $result['memnum'];
		$params['memnom']   = $result['memnom'];
		$params['password'] = $result['password'];
		$params['level']    = $result['level'];
		$result = $this->doAction("admin", "addCompte", $params);

		/* set the message */
		$valid   = $result['valid'];
		$message = $result['message'];
	} 
	else 
	{
		/* on recupere le message d'erreur */
		$valid   = false;
		$message = $result['message'];
	}
}

/* ===================== FIN APPEL DES ACTIONS ======================== */


/* ==== Inclusion du header ==== */
$title = array('Administration','Comptes','Ajouter');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* creation des fonctions de test des formulaires relatives a la page */
$jssubmit = "";
if (isset($conf['user']['js']) &&  $conf['users']['js'])
{
	?>
 	<!-- Definition de la validation du formulaire -->
	<script language="JavaScript">
	<!--
	var flds = new Array("adduser_nom", "adduser_pw1", "adduser_pw2");
	function check()
	{
		return (CheckPassword('adduser_pw1', 'adduser_pw2') && CheckNoEmptyFields(flds) );
	}
	-->
	</script>
	<?php
	$jssubmit = "onsubmit=\"check()\"";
}
?>

<form action="<?php echo applicationUrl('index.php?page=admin_comptes_add&toValid=true');?>" <?php echo $jssubmit; ?> method="post" name="ajoute_compte">
<table class="main">
	<tr>
		<th class="header" align="left" colspan="2">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> 
			&gt; 
			<a href="<?php echo applicationUrl('index.php?page=admin_comptes_liste');?>" class="header">
				Comptes
			</a> 
			&gt; Ajouter
		</th>
	</tr>
	<tr>
		<th class="control" align="left" colspan="2">
			Nouveau compte utilisateur
		</th>
	</tr>
	<?if (isset($message) && !empty($message)) { ?>
	<tr class="item">
		<td colspan="2" align="center">
			<?php if($valid)
				echo "<div class=\"success\">$message</div>";
			else
				echo "<div class=\"error\">$message</div>";
			?>
		</td>
	</tr>
	<?php } ?>
	<tr class="item">
		<td align="center">Nom</td>
		<td>
			<input type="text" name="memnom" id="adduser_nom" value="<?if (isset($formData['memnom'])) echo $formData['memnom'];?>"/>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Num&eacute;ro de membre</td>
		<td>
<?php
	if ($this->getArg('memnum') != 0)
		{ 
?>
	<input type="hidden" name="memnum" value="<?echo $this->getArg('memnum');?>" id="adduser_numh" />
<?php
			echo $this->getArg('memnum');
	 }
	else
	 { 
?>
	<input type="text" name="memnum" value="<?if (isset($formData['memnum'])) echo $formData['memnum'];?>" id="adduser_num" />
<?php
	 }
?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Droits</td>
		<td>
			<select name="level">
				<option value="1" <?if (isset($formData['level']) && $formData['level'] == "1") echo "selected";?>>Utilisateur sans droits</option><option value="4" <?if (isset($formData['level']) && $formData['level'] == "4") echo "selected";?>>Administrateur</option>
			</select>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Mot de passe</td>
		<td><input type="password" name="password" id="adduser_pw1" /></td>
	</tr>
	<tr class="item">
		<td align="center">Confirmation mot de passe</td>
		<td><input type="password" name="passwordv" id="adduser_pw2" /></td>
	</tr>
	<tr class="item">
		<td align="center" colspan="2">
			<input value="Ajouter" type="submit" />
		</td>
	</tr>
	<tr>
		<td colspan="2">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="2">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'administration
			</a>
		</td>
	</tr>
</table>
</form>

<?php $this->loadInclude("_FOOTER_", array()); ?>
