<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Histoire
 *  * 01/01/2006 DrazziB : Correction du chemin vers les icones
 *  * 14/07/2005 Hooligan0 : Convertion pour le modele a actions
 *  * 21/01/2005 DrazziB : XHTML 1.0
 *  * 09/06/2004 Hooligan0 : Remise en forme de l'entete et divers corrections
 *      pour que le HTML soit valide.
 *      Ajout du lien de retour a l'index d'admin en pied de page
 */

$title = array('Administration', 'Exercices');
$this->loadInclude('_HEADER_', array('title'=>$title)); 

$params  = array();
$result = $this->doAction("admin", "getExercices", $params);
$Exe = $result['current'];
$exercices = $result['exercices'];

$TypesAdhesion = $Exe->TypeAdhesion->searchAll();

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="4">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt;
			Exercice
		</th>
	</tr>
	<tr class="control">
		<td colspan="4">
			<table>
				<tr>
					<td align="center">
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_new');?>">
							<img src="graphics/generic.png" border="0" alt="[Nouveau]"/>
						</a>
					</td>
					<td align="center">
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_modif');?>">
							<img src="graphics/image1.png" border="0" alt="[Modifier]"/>
						</a>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_new');?>">
							Cr&eacute;er un exercice
						</a>
					</td>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_modif');?>">
							Modification
						</a>
					</td>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_typadh');?>">
							Types d'Adh&eacute;sion
						</a>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td class="control" colspan="4">
			<b>Exercices pass&eacute;s</b>
		</td>
	</tr>
	<tr>
		<td class="item" align="center">
			<b>Num&eacute;ro</b>
		</td>
		<td class="item" align="center">
			<b>Libell&eacute;</b>
		</td>
		<td class="item" align="center">
			<b>Date de d&eacute;but</b>
		</td>
		<td class="item" align="center">
			<b>Date de fin</b>
		</td>
	</tr>
<?php
if(count($exercices) == 0) { // are there exercises
?>
	<tr class="text">
		<td colspan="4" align="center">
			<i>Aucun exercice d&eacute;finit</i>
		</td>
	</tr>
<?php
} else { // there are exercices
	foreach($exercices as $num => $exercice) { 
?>
	<tr class="text">
		<td align="center"><?echo $num;?></td>
		<td align="center"><?echo $exercice['libelle'];?></td>
		<td align="center"><?echo $exercice['datedebut'];?></td>
		<td align="center"><?echo $exercice['datefin'];?></td>
	</tr>
<?php 
	} // end foreach
?>
	<tr>
		<td class="text" colspan="4">
			L'exercice actuel (<?echo $Exe->Num;?>) est 
			<b>
<?php // status of the exercise
	if ($Exe->Status == 'Ouvert')
		echo 'pr&eacute;par&eacute; mais non commenc&eacute;';
	else if ($Exe->Status == 'EnCours')
		echo 'en cours';
	else if ($Exe->Status == 'Ferme')
		echo 'termin&eacute;';
?>
			</b>
		</td>
	</tr>
	<tr>
		<td colspan="4">&nbsp;</td>
	</tr>
	<tr>
		<td class="control" colspan="4">
			<b>Types d'adh&eacute;sions pour <?echo $Exe->Num;?></b>
		</td>
	</tr>
<?php // check if there are adhesions
	if (count($TypesAdhesion) == 0) {
?>
	<tr class="text">
		<td colspan="4" align="center">
			<i>Pas de type d&eacute;fini</i>
		</td>
	</tr>
<?php 
	} else { // if there are adhesions
    	foreach($TypesAdhesion as $TypeAdhesion) { 
?>
	<tr class="text">
		<td align="center"><?echo $TypeAdhesion[0]?></td>
		<td colspan="3"><?echo $TypeAdhesion[1]?></td>
	</tr>
<?php
		} // end foreach type adhesion
	} // end if no adhesion 
} // end else there are exercises
?>

	<tr>
		<td class="control" colspan="4">
			&nbsp;
		</td>
	</tr>
	
	<!-- Pied de page -->
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="4">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'administration
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude('_FOOTER_'); ?>
