<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 * 
 * Histoire
 *  * 01/01/2005 DrazziB : Gestion de la validation dans le template courant
 *						   Utilisation de getDateIntervalle pour le formulaire
 *						   Affichage des messages d'erreurs dans la page
 *  * 14/07/2005 Hooligan0 : Convertion pour format a "actions"
 *  * 21/01/2005 DrazziB : XHTML 1.0
 */

if ($this->getArg("action") == "create")
 {
	$nom = $this->getArg("nom");

	$datedebj  = $this->getArg("datdebj");
	$datedebm  = $this->getArg("datdebm");
	$datedeba  = $this->getArg("datdeba");
	$datedebut = $datedeba . '-' . $datedebm . '-' . $datedebj;

	$datefinj  = $this->getArg("datfinj");
	$datefinm  = $this->getArg("datfinm");
	$datefina  = $this->getArg("datfina");
	$datefin   = $datefina . '-' . $datefinm . '-' . $datefinj;

	$params['nom']       = $nom;
	$params['datedebut'] = $datedebut;
	$params['datefin']   = $datefin;
	$result = $this->doAction("admin", "createExercice", $params);

	/* Non redirection pour afficher le message
	if (count($this->errorMsgs) == 0)
	 {
		$this->doRedirect("admin_exercice_index");
	 }
	 */
	$msg  = $result['message'];
	$flag = $result['valid'];
 }

/* On charge l'intervalle de date */
$result = $this->doAction('tools', 'getDateIntervalle');
/* Extraction des objets depuis le retour de l'action */
$dayTab = $result['jours'];
$monthTab = $result['mois'];
$yearTab = $result['annees'];
 
$title = array('Administration', 'Exercices', 'Cr&eacute;er nouveau');
$this->loadInclude('_HEADER_', array('title'=>$title)); 
?>

<?php
	if (count($this->errorMsgs) > 0)
	{
		echo "<div class=\"error\"><ul>";
		foreach ($this->errorMsgs as $message)
		{
			echo "<li>". $message."</li>";
		}
		echo "</ul></div>";
	}
?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt; 
			<a href="<?php echo applicationUrl('index.php?page=admin_exercice_index');?>" class="header">
				Exercice
			</a> &gt; 
			Cr&eacute;ation d'un nouvel exercice
		</th>
	</tr>
	<?php
		// FIXME ... le message ne veut pas etre centre dans la page !!
		if (isset($flag))
		{
	?>
	<tr class="item">
		<td class="center">
	<?php
			if($flag)
				echo "<div class=\"success\">$msg</div>\n";
			else
				echo "<div class=\"error\">$msg</div>\n";
	?>
		</td>
	</tr>
	<?php } ?>
	<tr class="text">
		<td align="center">
			<form action="<?php echo applicationUrl('index.php');?>">
				<input type="hidden" name="page" value="admin_exercice_new">
				<input type="hidden" name="action" value="create">
				<table>
					<tr>
						<td>Libell&eacute; de l'exercice</td>
						<td><input type="text" name="nom"></td>
					</tr>
					<tr>
						<td>Date de d&eacute;but</td>
						<td>
							<select name="datdebj">
							<?php
								/* Select current date by default */
								$day = date("j");
								foreach ($dayTab as $Number => $Name) 
								{
									if($Number == $day)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
							<select name="datdebm">
							<?php
								/* select current date by default */
								$month = date("n");
								foreach ($monthTab as $Number => $Name) 
								{
									if($Number == $month)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
							<select name="datdeba">
							<?php
								/* select current date by default */
								$year = date("Y");
								foreach ($yearTab as $Number => $Name) 
								{
									if($Name == $year)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
						</td>
					</tr>
					<tr>
						<td>Date de fin</td>
						<td>
							<select name="datfinj">
							<?php
								/* select current date plus one year by default */
								$day = date("j");
								foreach ($dayTab as $Number => $Name) 
								{
									if($Number == $day)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
							<select name="datfinm">
							<?php
								/* select current date plus one year by default */
								$month = date("n");
								foreach ($monthTab as $Number => $Name) 
								{
									if($Number == $month)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
							<select name="datfina">
							<?php
								/* select current date plus one year by default */
								$year = date("Y")+1;
								foreach ($yearTab as $Number => $Name) 
								{
									if($Name == $year)
										echo "<option value=\"" . $Number . "\" selected>";
									else
										echo "<option value=\"" . $Number . "\">";

									echo $Name . "</option>";
								}
							?>
							</select>
						</td>
					</tr>
					<tr>
						<td>Validation</td>
						<td><input type="submit" value="Valider"></td>
					</tr>
				</table>
			</td>
		</tr>

		<!-- Pied de page -->
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td class="menu" align="center" colspan="3">
				<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin_exercice_index');?>">
					<img src="graphics/admin/door.gif" alt="[Sortie]" />
					Retour &agrave; l'index des exercices
				</a>
			</td>
		</tr>
</table>

<?php $this->loadInclude('_FOOTER_'); ?>
