<?php
/**
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Poulard Fabien (GrdScarabe) <grdscarabe@grdscarabe.net>
 */

/* Historique :
 *  * 09/12/05 GrdScarabe : passage au modele action
 *  * 28/01/05 Hooligan0 : Ajout d'un champ pour afficher des messages
 *      (infos/erreurs)
 *  * 21/01/05 GrdScarabe: Corrections apportees au javascipt pour une gestion
 *      selon les preferences de l'utilisateur
 *  * 21/01/05 DrazziB : XHTML 1.0
 *  * 19/01/05 Hooligan0 : L'utilisation du javascript devient optionnelle une
 *      variable controle temporairement son activation. TODO: gerer les
 *      preferences utilisateur ! 
 *  * 09/06/04 Hooligan0 : Remise en forme de l'entete et divers corrections
 *      pour que le HTML soit valide.
 *      Ajout du lien de retour a l'index d'admin en pied de page
 **/

if ($this->getArg('action') == "typadh_add")
 {
	$params = array();
	$params['libelle'] = $this->getArg('libelle');

	$this->doAction('admin', 'addAdhesionType', $params);
 }
else if ($this->getArg('action') == "typadh_del")
 {
	$params = array();
	$params['num'] = $this->getArg('num');

	$this->doAction('admin', 'deleteAdhesionType', $params);
 }

/* PREPARATION DE L'ENTETE COMMUN */
$title = array('Administration','Exercices','Types d\'adh&eacute;sion');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* LANCEMENT DE L'ACTION POUR RECUPERER L'EXERCICE COURANT */
$result = $this->doAction("admin", "getExercices", array());
$Exe = $result['current'];

/* LANCEMENT DE L'ACTION PERMETTANT DE RECUPERER LES TYPES D'ADHESION */
$result = $this->doAction("admin", "getTypesadhesion", array());
$TypesAdhesion = $result['typesadhesion'];


$jssubmit = "";
if (isset($conf['user']['js']) && $conf['users']['js'])
{
	?>
 	<!-- Definition de la validation du formulaire -->
	<script language="JavaScript">
	<!--
	var flds = new Array("libelle");
	function check()
	{
		return CheckNoEmptyFields(flds);
	}
	-->
	</script>
	<?php
	$jssubmit = "onsubmit=\"check()\"";
}
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<form action="<?php echo applicationUrl('index.php?page=admin_exercice_typadh');?>" name="ajout_exercice" <?php echo $jssubmit; ?> method="post">
	<input type="hidden" name="action" value="typadh_add"/>
	<table class="main">
		<tr>
			<th class="header" align="left" colspan="3">
				<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
					Administration
				</a> 
				&gt;
				<a href="<?php echo applicationUrl('index.php?page=admin_exercice_index'); ?>" class="header">
					Exercices
				</a> 
				&gt; Types Adh&eacute;sion
			</th>
		</tr>
		<tr>
			<td class="control" colspan="3">
				<b>Types d'adh&eacute;sions pour <?echo $Exe->Num;?></b>
			</td>
		</tr>
		
		<!-- Liste des types d'adhesion enregistres -->
		<?php 
			if (count($TypesAdhesion) > 0)
			{
				foreach ($TypesAdhesion as $TypeAdhesion) 
				{ 
				?>
				<tr class="text">
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_exercice_typadh&action=typadh_del&num='.$TypeAdhesion->num);?>">
							<img src="graphics/trash.png" border="0" alt="[Trash]"/>
						</a> 
						<?php echo $TypeAdhesion->num; ?>
					</td>
					<td>
						<?php echo $TypeAdhesion->libelle; ?>
					</td>
				</tr>
				<?php
					}
				}
				else
				{ 
				?>
				<tr class="text">
					<td colspan="3" align="center">
						<i>Aucun type d'adh&eacute;sion</i>
					</td>
				</tr>
				<?php } ?>
				<tr class="text">
					<td align="center"><b>Nouveau</b></td>
					<td>
						<input type="text" name="libelle" id="libelle" />
						<input value="Ajouter" type="submit" />
					</td>
				</tr>
				<!-- Pied de page -->
				<tr>
					<td colspan="3">&nbsp;</td>
				</tr>
				<tr>
					<td class="menu" align="center" colspan="3">
						<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
							<img src="graphics/admin/door.gif" alt="[Sortie]" />
							Retour &agrave; l'index d'administration
						</a>
					</td>
				</tr>
			</table>
		</form>

</div>

<?php $this->loadInclude("_FOOTER_", array()); ?>
