<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Poulard Fabien (GrdScarabe) <gasell@grdscarabe.net>
 */

/* Histoire
 *  * 01/01/2006 DrazziB : Correction du chemin vers les icones
 *  * 19/12/2005 GrdScarabe : passage au modele action
 *  * 21/01/2005 DrazziB : XHTML 1.0
 */

$title = array('Administration','Tarifs','Details');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* si une action a ete specifiee, on l'effectue */
$action = $this->getArg('action');
if( isset($action) && !empty($action) )
{
	/* on switch vers l'action voulue */
	switch($this->getArg('action'))
	{
		case "addparam":
			/* LANCEMENT AJOUT D'UN ELEMENT AU PARAMETRE */
			$params['param']    = $this->getArg("param");
			$params['exercice'] = $this->getArg("exercice");
			$params['code']     = $this->getArg("code");
			$params['libelle']  = $this->getArg("libelle");
			$result = $this->doAction("admin", "addElementParamTarifs", $params);
			$message = $result['message'];
			break;

		case "delparam":
			/* LANCEMENT DE LA SUPPRESSION D'UN PARAMETRE */
			$params['param']    = $this->getArg("param");
			$params['code']     = $this->getArg("code");
			$params['exercice'] = $this->getArg("exercice");
			$result = $this->doAction("admin", "delElementParamTarifs", $params);
			$message = $result['message'];
			break;
	}
}

/* LANCEMENT DE LA RECUPERATION DES ELEMENTS DU PARAMETRE */
$params['nameParam'] = $this->getArg("param");
$params['exercice']  = $this->getArg("exercice");
$result = $this->doAction("admin", "getSubParamTarifs", $params);
$tab = $result['tab'];

$nameParam = $this->getArg("param");
$exercice  = $this->getArg("exercice");
$bexercice = ( isset($exercice) && !empty($exercice) )

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt;
			<?php if ( $bexercice ) { ?>
				<a href="<?php echo applicationUrl('index.php?page=admin_tarifs&exercice='.$exercice); ?> class="header">
					Tarifs (<?php echo $exercice; ?>)
				</a>
			<?php } else { ?>
				<a href="<?php echo applicationUrl('index.php?page=admin_tarifs'); ?>" class="header">
					Tarifs
				</a>
			<?php } ?> &gt;
			Edition d'un param&egrave;tre : <?echo $nameParam;?>
		</th>
	</tr>
	<tr class="text">
		<td align="center">
		<?php
			if (isset($message) && !empty($message) )
				echo '<ul><li>'.$message.'</li></ul>';
		?>
		
		<table border="1">
			<tr>
				<td>Suppression</td>
				<td>Code</td>
				<td>Libell&eacute;</td>
			</tr>
			<?php
				reset($tab);
				while (list($k, $v) = each($tab))
				{
					?>
			<tr>
				<td align="center"> 
				<?php
					echo "<a href=\"".applicationUrl('index.php?page=admin_tarifs_edparam');
					echo "&action=delparam&param=".$nameParam."&code=".$k;
					if ( $bexercice )
						echo '&exercice='.$exercice;
					echo "\">";
				?>
					<img src="graphics/bomb.png" border="0" alt="Suppression" />
					</a>
				</td>
				<td><?php echo $k; ?></td>
				<td><?php echo $v; ?></td>
			</tr>
			<?php } ?>
		</table>
		
		<br/><br/>
			
		<u><b>Ajouter un element</b></u>
		<form method="post" action="<?php echo applicationUrl('index.php?page=admin_tarifs_edparam');?>">
			<input type="hidden" name="action" value="addparam">
			<input type="hidden" name="param" value="<?php echo $nameParam;?>">
			<?php 
				if ( $bexercice )
					echo '<input type="hidden" name="exercice" value="'.$exercice.'">'; 
			?>
			<table>
				<tr>
					<td>Code</td>
					<td><input type="text" name="code"></td>
				</tr>
				<tr>
					<td>Libell&eacute;</td>
					<td><input type="text" name="libelle"></td>
				</tr>
				<tr>
					<td colspan="2"><input type="submit" value="Valider"></td>
				</tr>
			</table>
		</form>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin_tarifs');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index des tarifs
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
