<?php
/*
 * Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Poulard Fabien (GrdScarabe) <gasell@grdscarabe.net>
 */

/* Histoire
 *  * 01/01/2006 DrazziB : Correction du chemin vers les icones
 *  * 09/12/2005 GrdScarabe : passage au modele action
 *  * 21/01/2005 DrazziB : XHTML 1.0
 */

// TODO supprimer du code PHP du template pour le migrer dans l'action
// ou dans les objets

require_once(GASELL_BASE . "/lib/Exceptions.php");

/* Preparation du titre de la page */
$title = array('Administration','Tarifs');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* Verification de l'action a effectuer */
$action = $this->getArg("action");
if(isset($action) && !empty($action))
{
	/* selection de l'action */
	switch($action)
	{
		case "paramdrop":
			/* LANCEMENT DE LA SUPPRESSION D'UN PARAMETRE */
			$params['paramstodel'] = $this->getArg("paramstodel");
			$result = $this->doAction("admin", "delParamTarifs", $params);
			$supprime = $result['supprime'];
			$this->doRedirect($this->getPageName());
			break;
			
		case "paramcreate":
			/* LANCEMENT DE LA CREATION D'UN PARAMETRE */
			$params['exercice'] = $this->getArg("exercice");
			$params['nom']      = $this->getArg("nom");
			$params['cols']     = $this->getArg("cols");
			$result = $this->doAction("admin", "addParamTarifs", $params);
			/* CHECK SI L'ACTION S'EST BIEN DEROULEE */
			if($result['valid'])
			{
				$this->doRedirect($this->getPageName());
				break;
			} else {
				$flag = $result['valid'];
				$msg = $result['message'];
				break;
			}
			
		default:
			$msg = "Action $action inconnue !";
			$pm  = array(
				'back' => array(
					'add' => "index.php?page=admin_tarifs", 
					'desc'=> "Administration des tarifs"));
			Except::throwError("admin_tarifs", $msg, $pm);
			break;
	}
}

/* check si un exercice est precise */
$exe = $this->getArg("exercice");
if(isset($exe) && !empty($exe) && ($exe != "--"))
{
	/* LANCEMENT DE LA RECUPERATION DES TARIFS D'UN EXERCICE */
	$params['exercice'] = $this->getArg("exercice");
	$result = $this->doAction("admin", "getTarifsExercice", $params);
	$TarifExercice = $result['TarifExercice'];
	$Exercice      = $result['Exercice'];
	$editable      = $result['editable'];
	$Tarif         = $result['Tarif'];
	$ncols         = $result['ncols'];
	$toffs         = $result['toffs'];
	$tafft         = $result['tafft'];
}
else
{	
	/* LANCEMENT DE LA RECUPERATION DES TARIFS DE L'EXERCICE COURANT */
	$result = $this->doAction("admin", "getTarifs", array());
	$TarifExercice = $result['TarifExercice'];
	$Exercices     = $result['Exercices'];
	$editable      = $result['editable'];
	$Tarif         = $result['Tarif'];
	$ncols         = $result['ncols'];
	$toffs         = $result['toffs'];
	$tafft         = $result['tafft'];
}


?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=admin');?>" class="header">
				Administration
			</a> &gt; Tarifs
			<?php if ($TarifExercice) 
					echo '('.$TarifExercice.')';
			?>
		</th>
	</tr>
	<?php
		if(isset($msg))
		{
	?>
	<tr class="item">
		<td class="center">
		<?php
			if($flag)
				echo "<div class=\"success\">$msg</div>";
			else
				echo "<div class=\"error\">$msg</div>";
		?>
		</td>
	</tr>
	<?php } ?>
	<tr>
		<th class="control" colspan="3">
			<table width="100%">
				<tr>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_tarifs_paramadd'); if ($TarifExercice) echo '&exercice='.$TarifExercice; ?>">
							<img src="graphics/generic.png" alt="[Ajout]" />
						</a>
					</td>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=admin_tarifs_paramdel'); if ($TarifExercice) echo '&exercice='.$TarifExercice; ?>">
							<img src="graphics/broken.png" alt="[Suppression]" />
						</a>
					</td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td width="100">
						<a href="<?php echo applicationUrl('index.php?page=admin_tarifs_paramadd'); if ($TarifExercice) echo '&exercice='.$TarifExercice; ?>">
							Ajouter un param&egrave;tre
						</a>
					</td>
					<td width="100">
						<a href="<?php echo applicationUrl('index.php?page=admin_tarifs_paramdel'); if ($TarifExercice) echo '&exercice='.$TarifExercice; ?>">
							Supprimer un param&egrave;tre
						</a>
					</td>
					<td align="right">
						<form action="<? echo applicationUrl('index.php?page=admin_tarifs')?>" method="post">
							<select name="exercice">
							<?php if (!$TarifExercice)
									echo '<option>--</option>';
								foreach($Exercices as $Exercice => $EInfos) 
								{
									echo '<option';
									if ($TarifExercice == $Exercice) 
									{ 
										echo " selected"; 
									}
									echo '>'.$Exercice;
									echo '</option>';
								}
							?>
							</select>
							<input type="submit" value=">" />
						</form>
					</td>
				</tr>
			</table>
		</th>
	</tr>
	<tr class="text">
		<td align="center">
			<table border="1">
			<?php
				/* Cas d'un tarif complexe */
				$nbrep = 0;
				foreach($Tarif->TarifParam as $ttab)
				{
					if ($nbrep == 0)
					{
						$nbrep = 1;
						continue;
					}
					echo '<tr><td>&nbsp</td>';
					$SubTable = $ttab['libele'];
					$nb = count($SubTable);
					$cspan = ($ncols / $nbrep) / $nb;
					for ($cpt1 = 0; $cpt1 < $nbrep; $cpt1++)
					{
						reset($SubTable);
						for ($cpt = 0; $cpt < $nb; $cpt++)
						{
							echo '<td align="center" colspan='.$cspan.'>';
							list($k,$v) = each($SubTable);
							echo $v . '</td>';
						}
					}
					echo '</tr>';
					$nbrep = $nbrep * $nb;
				}
				/* */
				if (isset($Tarif->TarifParam[0]['libele']))
				{
					/* Lecture de la premiere table laissee de cote */
					$SubTable = $Tarif->TarifParam[0]['libele'];
					reset($SubTable);
					for ($cpt_ligne = 0; $cpt_ligne < count($SubTable); $cpt_ligne++)
					{
						list($k, $v) = each($SubTable);
						echo '<tr><td>'.$v.'</td>';
						for ($cpt_col = 0; $cpt_col < $ncols; $cpt_col++)
						{
							echo '<td style="background: #b0ffff;" align="right">"';
							echo '<span style="color: #905050;">';
							if ($editable)
								echo "<a href=\"".applicationUrl('index.php?page=admin_tarifs_tarifedit&p='.$k.'&n='.$cpt_col)."\">";
							if ($tafft[$k][$cpt_col] != ".")
								echo $tafft[$k][$cpt_col];
							else
								echo '<img src="graphics/pixel.jpg" border="0" height="15" width="20" alt="-" />';
							if ($editable)
								echo '</a>';
							echo '</span></td>';
						}
						echo '</tr>';
					}
				}
			?>
			</table>
			<table>
				<tr>
					<td>
						<u>Liste des param&egrave;tres de tarifs :</u>
						<ul>
						<?php
							foreach($Tarif->TarifParam as $ttab)
							{
								echo "<li><a href=\"". applicationUrl('index.php?page=admin_tarifs_edparam&param=tr'.$ttab['nom']);
								if ($TarifExercice)
									echo "&exercice=".$TarifExercice;
								echo "\">".$ttab['nom']."</a>";
							}
						?>
						</ul>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=admin');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index de l'administration
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
