<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 11/11/05 Hooligan0 : Passage au modele a actions (1/2) saisie
 *  * 20/04/04 Saint-Genest G. (Hooligan0) : Remise en forme de l'entete et
 *    divers corrections pour que le HTML soit valide.
 *  * 21/01/05 DrazziB : XHTML 1.0
 */

$pageName = $this->getPageName();

/* Check s'il s'agit de la validation du formulaire                          */
if ($this->getArg('action') == "add")
{
	$params = array();
	$params['form'] = $this->getAllArgs();
	$result = $this->doAction("admin", "createPersonne", $params);
	if ($result['status'] != 0)
	{
		$ErrMessage = $result['emsg'];
	}
	else
	{
		$pnum = $result['memnum'];

		/* Si le formulaire contient egalement une adhesion                  */
		if ($this->getArg('typadh') != "")
		 {
			$params = array();
			$params['memnum']    = $pnum;
			$params['type']      = $this->getArg("typadh");
			$params['montant']   = $this->getArg("tarif");
			$params['date']      = $this->getArg("adhDat");
			$result = $this->doAction("admin", "addAdhesion", $params);
		 }

		/* Redirection pour affichage de la fiche de la nouvelle personne    */
		$this->doRedirect("admin_users_view&memnum=".$pnum);
	}
}

/* Chargement de la liste des types d'adhesion pour l'exercice               */
$result = $this->doAction("admin", "getTypesadhesion");
$TypesAdhesion = $result['typesadhesion'];

/* Chargement de la liste des types d'adhesion pour l'exercice               */
$result = $this->doAction("admin", "getPersonnesCivilites");
$Civilites = $result['civilites'];

// TODO : Rechargement des infos du formulaire sur erreur

/* Ajout de l'entete de page commune                                         */
$title = array('admin'=>'Administration',
               'admin_users_list'=>'Personnes',
               'Ajoute');
$this->loadInclude("_HEADER_", array('title'=>$title));
?>
<div class="contenu">
	<?php if (isset($ErrMessage) && ($ErrMessage != NULL)) { ?>
	<div class="bloc">
		<h1>ERREUR DETECTEE</h1>
		<?php echo $ErrMessage; ?>
	</div>
	<? } ?>
	<form action="<?php echo applicationUrl('index.php?page='.$pageName .'&amp;action=add');?>" method="post">
	
	<div class="bloc">
		<h1>Informations sur le nouveau membre</h1>
		<li>Nom <input type="text" name="memnom"/>
		<li>Pr&eacute;nom <input type="text" name="memprenom"/>
		<li>Surnom <input type="text" name="memsurnom"/>
		<li>Adresse <input type="text" name="memadr1" size="40"/>
		<li>' ' <input type="text" name="memadr2" size="40"/>
		<li>CP <input type="text" name="memcp" size="5"/>
		<li>Ville <input type="text" name="memville"/>
		<li>Date de naissance
			<select name="memDatNaiJ"><option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option><option>07</option><option>08</option><option>09</option><option>10</option><option>11</option><option>12</option><option>13</option><option>14</option><option>15</option><option>16</option><option>17</option><option>18</option><option>19</option><option>20</option><option>21</option><option>22</option><option>23</option><option>24</option><option>25</option><option>26</option><option>27</option><option>28</option><option>29</option><option>30</option><option>31</option></select>
			<select name="memDatNaiM"><option value="01">Janvier</option><option value="02">Fevrier</option><option value="03">Mars</option><option value="04">Avril</option><option value="05">Mai</option><option value="06">Juin</option><option value="07">Juillet</option><option value="08">Aout</option><option value="09">Septembre</option><option value="10">Octobre</option><option value="11">Novembre</option><option value="12">Decembre</option></select>
			<input type="text" name="memDatNaiA" size="4"/>
		<li>Sexe <select name="memSexe"><option value="1">M</option><option value="2">F</option></select>
		<li>Civilit&eacute; <select name="civcode"><?php foreach($Civilites as $Civilite) echo '<option value="'.$Civilite->code.'">'.$Civilite->libelle.'</option>';?></select>
		<li>Date 1&egrave;re adh&eacute;sion : <?php echo date("d/m/Y");?>
		<li>Date de derni&egrave;re mise &agrave; jour : <?php echo date("d/m/Y");?>
		<li>Observations <textarea name="memObs" rows="4" cols="30"></textarea>
	</div>
	
	<div class="bloc">
		<h1>Premi&egrave;re adh&eacute;sion</h1>
		<?php if (count($TypesAdhesion) == 0) { ?>
		Aucun type d'adh&eacute;sion n'est configur&eacute;. Cr&eacute;ation d'une adh&eacute;sion impossible<br/>
		<input type="hidden" name="typadh" value=""/>
		<br/>
		<?php } else { ?>
		<li>Type d'adh&eacute;sion
			<select name="typadh">
			<option value="">-- Selectionnez --</option>
			<?php foreach($TypesAdhesion as $TypeAdhesion) { ?>
			<option value="<?php echo $TypeAdhesion->num;?>"><?php echo $TypeAdhesion->libelle;?></option>
			<?php } ?></select>
		<li>Date d'adh&eacute;sion <input type="text" name="adhDat" value="<?php echo date("d/m/Y") ?>"/>
		<li>Montant <input type="text" name="tarif" size="5"/>
		<?php } ?>
	</div>

	<div class="bloc">
		Validation <input type="submit" value="Creer ce nouveau membre"/>
	</div>
	</form>
</div>

<?php $this->loadInclude("_FOOTER_", array()); ?>
