<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 *
 * Histoire
 *  * 05/12/05 Hooligan0 : COnvertion de la page pour modele a actions
 *  * 20/04/04 Saint-Genest G. (Hooligan0) : Remise en forme de l'entete et
 *    divers corrections pour que le HTML soit valide.
 *  * 21/01/05 DrazziB : XHTML 1.0
 */

$titre = array("Administration","Membres","Civilites");
$this->loadInclude("_HEADER_", array("title"=>$titre));

$page = $this->getPageName();

/* Recherche si un parametre "action" a ete passe a la page */
$action = $this->getArg("action");
if ($action)
{
	switch($action)
	{
		case "add":
			$params = array();
			$params['abr']     = $this->getArg("civabr");
			$params['libelle'] = $this->getArg("civlib");
			$res = $this->doAction("admin", "PersonnesCivilitesAdd", $params);
			$message = $res['message'];
			$valid   = $res['valid'];
			//$this->doRedirect($page);
			break;

		/* Cas ou l'action demandee est la suppression d'une civilite */
		case "delete":
			$params = array();
			$params['code'] = $this->getArg("code");
			$res = $this->doAction("admin", "PersonnesCivilitesDelete", $params);
			$message = $res['message'];
			$valid   = $res['valid'];
			//$this->doRedirect($page);
			break;
	}
}

/* Recherche la liste des civilites actuellement disponibles */
$result = $this->doAction("admin", "getPersonnesCivilites", NULL);
$Civilites = $result['civilites'];
?>
<div class="contenu">
	<div class="bloc">
		<h1>Civilit&eacute;s</h1>
		<?php 
			if(isset($valid) && isset($message))
				if($valid)
					echo "<div class=\"success\">$message</div>";
				else
					echo "<div class=\"error\">$message</div>";
		?>
		<table class="liste">
			<tr class="item">
				<th class="item" width="25%">Abr&eacute;viation</th>
				<th class="item" width="58%">Libell&eacute;</th>
				<th class="item" width="7%">Action</th>
			</tr>
			<?php if (count($Civilites) == 0) {?>
			<tr class="text">
				<td colspan="4" align="center"><i>Aucune civilit&eacute; connue</i></td>
			</tr>
			<?php } ?>

			<?php foreach ($Civilites as $cde => $Civilite) {?>
			<tr class="text">
				<td align="center"><?echo $Civilite->abr;?></td>
				<td><?echo $Civilite->libelle;?></td>
				<td align="center"><a href="<?php echo applicationUrl('index.php?page=' . $page . '&amp;action=delete&amp;code='.$Civilite->code);?>"><img src="graphics/trash.png" alt="Suppression" border="0"/></a></td>
			</tr>
			<?php } ?>
		</table>
		<div clas="subbloc">
			<h1>Ajout d'une nouvelle civilite</h1>
			<form action="<?php echo applicationUrl('index.php');?>">
			<input type="hidden" name="page" value="<?php echo $page;?>"/>
			<input type="hidden" name="action" value="add"/>
			<table class="liste">
				<tr>
				<td>Abr&eacute;viation</td>
				<td><input type="text" name="civabr"/></td>
				</tr>
				<tr>
				<td>Libell&eacute;</td>
				<td><input type="text" name="civlib"/></td>
				</tr>
			</table>
			<input type="submit" value="Ajouter"/>
			</form>
		</div>
	</div>
</div>

<?php $this->loadInclude("_FOOTER_", array()); ?>
