<?
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
    * 05/01/2006 DrazziB : Passage au modele action
    * 21/01/05 DrazziB : XHTML 1.0
    * 27/04/04 Hooligan0 : Le formulaire d'ajout de reglement utilise un
      transfert de donnees en POST pour eviter les erreur lors d'un clic
      sur le 'back' du navigateur.
    * 20/04/04 Hooligan0 : Remise en forme de l'entete et divers corrections
      pour que le HTML soit valide.
*/

if ($this->getArg("action") == "addreglement")
 {
	$params = array();
	$params['adhnum']    = $this->getArg("adhnum");
	$params['montant']   = $this->getArg("montant");
	$params['date']      = $this->getArg("date");
	$result = $this->doAction("admin", "addReglementForAdhesion", $params);

	if ($result == true)
		$this->doRedirect("admin_users_detailadh&adhnum=".$this->getArg("adhnum"));
 }
else if ($this->getArg("action") == "validreglement")
 {
	$result = $this->doAction("admin", "validReglementForAdhesion", $this->getAllArgs());

	if ($result == true)
		$this->doRedirect("admin_users_detailadh&adhnum=".$this->getArg("adhnum"));
 }

$params = array();
$params['adhnum'] = $this->getArg('adhnum');
$result = $this->doAction("admin", "getAdhesion", $params);
$Adhesion = $result['adhesion'];
$Personne = $result['personne'];
$Reglements = $result['reglements'];

/* Generation de l'entete de la page */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Details Adhesion #'.$Adhesion->adhNum);
$this->loadInclude("_HEADER_", array('title'=>$title));
?>

<div class="contenu">

<?php
if (count($this->errorMsgs) > 0)
 {
	echo "<div class=\"error\"><ul>";
	foreach ($this->errorMsgs as $message)
	 {
		echo "<li>". $message."</li>";
	 }
	echo "</ul></div>";
}
?>

<div class="bloc">
<form>
<fieldset>
	<legend>D&eacute;tail de l'adh&eacute;sion</legend>

<label for="adhnum">Adh&eacute;sion :</label> <input name="adhnum" readonly="readonly" value="<?php echo $Adhesion->adhNum;?>"/>
<br/>
<label for="memNom">Personne :</label> <input name="memNom" readonly="readonly" value="<?php echo $Personne->memPrenom." ".$Personne->memNom;?>"/>
<br/>
<label for="adhDat">Souscription :</label> <input name="adhDat" readonly="readonly" value="<?php echo date("d/m/Y", strtotime($Adhesion->adhDat));?>"/>
<br/>
<label for="libelle">Type d'adh&eacute;sion :</label> <input name="libelle" readonly="readonly" value="<?php echo $Adhesion->LibeleDuType();?>"/>
<br/>
<label for="montant">Montant :</label> <input name="montant" readonly="readonly" value="<?php echo $Adhesion->adhMontant;?>"/>
</fieldset>
</form>
</div>

<div class="bloc">
<fieldset>
	<legend>Reglements</legend>
<form action="<?php echo applicationUrl('index.php?page=admin_users_detailadh&action=validreglement');?>" method="POST">
<table class="tabmain">
<?php if (count($Reglements) == 0) { ?>
<tr><td class="text" colspan="4" align="center"><i>Aucun reglement</i></td></tr>
<?php } else { ?>
	<tr>
		<th class="smallheader" width="60">Echeance</td>
		<th class="smallheader">Montant</td>
		<th class="smallheader">Moyen de paiment</td>
		<th class="smallheader">Pointe</td>
	</tr>
  <input type="hidden" name="adhnum" value="<?php echo $Adhesion->adhNum;?>"/>
<?php
     foreach ($Reglements as $Reglement)
      {
       if ($Reglement->date != NULL)
        {
         if (Date::compare($Reglement->date, new Date()) == -1)
          {
           if ($Reglement->valide == "1")
             $bgcolor = "#90ff90";
           else
             $bgcolor = "#FF9090";
          }
         else
           $bgcolor="#ffffff";
        }
       else
         $bgcolor="#9090ff";
?>
<tr class="text"><td style="background: <?echo $bgcolor;?>"><?echo $Reglement->date->format("%d/%m/%Y");?></td>
    <td style="background: <?echo $bgcolor;?>"><?echo $Reglement->montant;?></td>
    <td style="background: <?echo $bgcolor;?>">&nbsp;</td>
    <td style="background: <?echo $bgcolor;?>"><?if ($Reglement->valide == "1") {?>Valid&eacute;<? } else { ?><input type="checkbox" name="reg<?echo $Reglement->regnum;?>"/><? } ?>
</td>
</tr>
<?    } ?>
<tr class="text"><td colspan="4"><input type="submit" value="Actualise"/><br/>
<? } ?>
</form>
</table>

<form action="<?php echo applicationUrl('index.php?page=admin_users_detailadh&action=addreglement');?>" method="POST">
<input type="hidden" name="adhnum" value="<?php echo $Adhesion->adhNum;?>"/>
<fieldset>
	<legend>Ajouter un reglement</legend>
<label for="date">Date :</label> <input type="text" name="date" value="<?php echo date('d/m/Y', time());?>"/>
<br/>
<label for="montant">Montant :</label> <input type="text" name="montant"/>
<br/>
<input type="submit" value="Ajouter"/></td></tr>
</fieldset>
</form>

</div>

<?php $this->loadInclude('_FOOTER_'); ?>