<?php
/*
 * Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com> 
 */

/* Historique :
 *  * 04/01/2006 DrazziB : Prise en compte des cotisations
 *  * 11/07/2005 Hooligan0 : Convertion au modele a "actions"
 *  * 28/01/2005 Hooligan0 : Ajout d'une definition de bordure d'image
 *  * 21/01/2005 DrazziB : XHTML 1.0
 *  * 20/04/2004 Saint-Genest G. (Hooligan0) : Remise en forme de l'entete et
 *    divers corrections pour que le HTML soit valide.
 */

/* Ajout de l'entete de page commune                                         */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres');
$this->loadInclude("_HEADER_", array('title'=>$title));

$pageName = $this->getPageName();

/* Recherche et analyse le parametre "view" pour definir le type d'affichage */
$Tous = 0;
if ($this->getArg('view') == "all")
{
	$Tous = 1;
}
$sortby = $this->getArg('sortby');

$params['isAll']  = $Tous;
$params['sortby'] = $sortby;
$result = $this->doAction("admin", "getPersonnes",  $params);
$Membres = $result['personnes'];
$Cotisations = $result['cotisations'];

?>
	<div class="contenu">
		<div  class="iconbar">
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=admin_users_add');?>">
				<img src="graphics/admin/user.png" alt="[Ajouter]"/>
				<span>Ajouter</span>
				</a>
			</div>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=admin_users_chercher');?>">
				<img src="graphics/search.png" alt="[Cherche]"/>
				<span>Chercher</span>
				</a>
			</div>
			<? if ($Tous) { ?>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page='.$pageName);?>">
				<img src="graphics/admin/users.png" alt="[Actuels]"/>
				<span>Actuels</span>
				</a>
			</div>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=admin_users_list_pdf&view=all&sortby='.$sortby);?>">
				<img src="graphics/admin/imprimante.gif" alt="[Imprimer]" />
				<span>Imprimer</span>
				</a>
			</div>
			<? } else { ?>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=' . $pageName . '&amp;view=all');?>">
				<img src="graphics/admin/users.png" alt="[Tous]"/>
				<span>Tous</span>
				</a>
			</div>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=admin_users_list_pdf&sortby='.$sortby);?>">
				<img src="graphics/admin/imprimante.gif" alt="[Imprimer]" />
				<span>Imprimer</span>
				</a>
			</div>
			<? } ?>
			<div class="icon">
				<a href="<?php echo applicationUrl('index.php?page=admin_users_civ');?>">
				<span>Civilit&eacute;s</span>
				</a>
			</div>
		</div>

		<div class="bloc">
			<table class="admin_memlist">
				<tr class="item">
					<th class="item"><a class="widget" href="<?php echo applicationUrl('index.php?page=' . $pageName . '&amp;sortby=memnum'); if ($Tous) echo "&amp;view=all";?>">Num&eacute;ro</a></th>
					<th class="item"><a class="widget" href="<?php echo applicationUrl('index.php?page=' . $pageName . '&amp;sortby=memnom'); if ($Tous) echo "&amp;view=all";?>">Nom</a></th>
					<th class="item"><a class="widget" href="<?php echo applicationUrl('index.php?page=' . $pageName . '&amp;sortby=memprenom'); if ($Tous) echo "&amp;view=all";?>">Pr&eacute;nom</a></th>
				</tr>
				<? if (count($Membres) == 0) {?>
				<tr class="text"><td colspan="3" align="center"><i>Aucun membre pour l'exercice</i></td></tr>
				<? }
				else
				{
					foreach ($Membres as $Mem)
					{ ?>
					<tr class="text"<?if (isset($Cotisations[$Mem->memNum]) && (! $Cotisations[$Mem->memNum])) echo ' style="background:#ff9090"';?>>
						<td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&amp;memnum='.$Mem->memNum);?>"><?echo $Mem->memNum;?></a></td>
						<td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&amp;memnum='.$Mem->memNum);?>"><?echo $Mem->memNom;?></a></td>
						<td><a href="<?php echo applicationUrl('index.php?page=admin_users_view&amp;memnum='.$Mem->memNum);?>"><?echo $Mem->memPrenom;?></a></td>
					</tr>
					<? } ?>
					<tr class="text"><td colspan="3">Nombre de membres : <?echo count($Membres);?></td></tr>
				<?}?>
			</table>
		</div>
	</div>
<?php $this->loadInclude("_FOOTER_", array()); ?>
