<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Historique :
 *  * 21/01/2005 DrazziB : XHTML 1.0
 *  * 20/04/2004 Hooligan0 : Remise en forme de l'entete et divers corrections
 *    pour que le HTML soit valide.
 */
$title = array('admin' => 'Administration', 'admin_users_list' => 'Membres', 'Voir');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* Recherche si l'appli est config pour le suive des objet et competences    */
$params['req'][0] = array('section'=>"ASSO", 'param'=>"UseCompetences");
$params['req'][1] = array('section'=>"ASSO", 'param'=>"UseObjets");
/* Appel l'action de recherche de parametres de config */
$result = $this->doAction("", "getConfig", $params);
/* Resultats */
$UseCompetence = $result["ASSO"]["UseCompetences"];
$UseObjets = $result["ASSO"]["UseObjets"];

/* Recuperation d'un objet Personne avec le numero de personne demande         */
$pnum = $this->getArg("memnum");
$result = $this->doAction("", "getPersonne", array("id" => $pnum));
$Personne = $result['personne'];
$Contacts = $result['contacts'];

/* Recherche la liste des moyens de contacts possible pour une personne    */
$MoyensContact = $Personne->MoyensContact();

/* Recuperation des competences d'une personne */
$result = $this->doAction('admin', 'getSkills', array('personne' => $Personne));
$Competences = $result['competences_personne'];

/* Recuperation des objets d'une personne */
$Objets = $this->doAction('admin', 'getObjectsForPerson', array('personne' => $Personne));

/* Chargement de la liste des types d'adhesion pour l'exercice               */
$result = $this->doAction("admin", "getTypesadhesion");
$TypesAdhesion = $result['typesadhesion'];

/* Recuperation des adhesion d'une personne */
$params = array('personne' => $Personne);
$result = $this->doAction("admin", "getPersonneAdhesions", $params);
$Adhesions    = $result['adhesions'];
?>
<div class="contenu">
	<div class="iconbar">
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_users_edit&memnum='.$Personne->memNum);?>">
			<img src="graphics/admin/edit.png" border="0" alt="[Editer]"/>
			<span>Editer</span>
			</a>
		</div>
<?php
if (count($TypesAdhesion) != 0)
 {
?>
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_users_ajouteadh&memnum='.$Personne->memNum);?>">
			<img src="graphics/admin/adh_new.png" border="0" alt="[Nouvelle Adhesion]" />
			<span>Nouvelle Adhesion</span>
			</a>
		</div>
<?php
 }
?>
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_comptes_add&memnum='.$Personne->memNum);?>">
			<img src="graphics/admin/keys.png" border="0" alt="[Compte GASELL]"/>
			<span>Compte GASELL</span>
			</a>
		</div>
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_users_view_pdf&memnum='.$Personne->memNum);?>">
			<img src="graphics/admin/imprimante.gif" border="0" alt="[Imprimer]"/>
			<span>Imprimer</span>
			</a>
		</div>
		<?php if ($UseObjets) { ?>
		<div class="icon">
			<a href="<?php echo applicationUrl('index.php?page=admin_users_objets&memnum='.$Personne->memNum);?>">
			<img src="graphics/admin/objets.png" border="0" alt="[Objets]"/>
			<span>Objets</span>
			</a>
		</div>
		<?php } ?>
	</div>

	<div class="bloc">
		<h1>Donn&eacute;es personnelles</h1>
		<table class="liste">
			<tr class="item"><td align="center">Num&eacute;ro personne</td><td colspan="2"><?php echo $Personne->memNum;?></td>   </tr>
			<tr class="item"><td align="center">Nom</td>                   <td colspan="2"><?php echo $Personne->memNom;?></td>   </tr>
			<tr class="item"><td align="center">Pr&eacute;nom</td>         <td colspan="2"><?php echo $Personne->memPrenom;?></td></tr>
			<tr class="item"><td align="center">Surnom</td>                <td colspan="2"><?php echo $Personne->memSurnom;?></td></tr>
			<tr class="item"><td align="center">Adresse</td>               <td colspan="2"><?php echo $Personne->memAdr1;?></td>  </tr>
			<?php if (!empty($Personne->memAdr2)) { ?>
			<tr class="item"><td align="center">' '</td>                   <td colspan="2"><?php echo $Personne->memAdr2;?></td></tr>
			<?php } ?>
			<tr class="item"><td align="center">CP</td>                    <td colspan="2"><?php echo $Personne->memCP;?></td></tr>
			<tr class="item"><td align="center">Ville</td>                 <td colspan="2"><?php echo $Personne->memVille;?></td></tr>
			<tr class="item"><td align="center">Date de naissance</td>     <td colspan="2"><?php if ($Personne->memDatNai) { echo $Personne->memDatNai->format("%d/%m/%Y"); }?></td></tr>
			<tr class="item"><td align="center">Sexe</td>                  <td colspan="2"><?php if ($Personne->memSexe == 1) echo "M"; else if ($Personne->memSexe == 2) echo "F";?></td></tr>
			<tr class="item"><td align="center">Date 1&egrave;re adh&eacute;sion</td><td colspan="2"><?php if($Personne->memDatAdh1) { echo date("d/m/Y", strtotime($Personne->memDatAdh1)); }?></td></tr>
			<tr class="item"><td align="center">Date de derni&egrave;re mise &agrave; jour</td><td colspan="2"><?php if($Personne->memDatMaj) { echo date("d/m/Y", strtotime($Personne->memDatMaj)); }?></td></tr>
			<tr class="item"><td align="center">Observations</td>          <td colspan="2"><?php echo $Personne->memObs;?></td></tr>
			<tr class="item"><td align="center">Contacts</td>              <td colspan="2">
				<table><?php
				foreach($Contacts as $moyen => $valeur)
					echo "<tr><td>".$moyen."</td><td>".$valeur."</td></tr>";?>
				</table></td>
			</tr>
			<?php if ($UseCompetence == "OUI") { ?>
			<tr class="control"><td colspan="3"><b>Comp&eacute;tences</b></td></tr>
			<tr class="item"><td align="center" width="100"><b>Num</b></td><td align="center" colspan="2"><b>Libell&eacute;</b></td></tr>
			<?php if (count($Competences) > 0)
			    {
			     foreach($Competences as $CNum => $Competence)
			      {
			       echo '<tr class="item"><td align="center">'.$CNum."</td>";
			       echo '<td colspan="2">'.$Competence . '</td></tr>';
			      }
			    } /* count(Competeces) */
			  } /* UseCompetecces */
			?>
		</table>

		<?php if ($UseObjets) {?>
		<!-- Objets -->
		<div class="subbloc">
			<h1>Objets</h1>
			<table class="list">
				<?php if (count($Objets) == 0) {?>
				<tr class="item"><td align="center" colspan="3"><i>Aucun objet enregistr&eacute;</i></td></tr>
				<?php } else /* count > 0 */ {?>
				<tr class="item"><td align="center" width="100"><b>Num</b></td><td align="center" colspan="2"><b>Libell&eacute;</b></td></tr>
				<?php
				  foreach($Objets as $ONum => $Objet)
				   {
				    echo '<tr class="item"><td align="center">'.$ONum."</td>";
				    echo '<td colspan="2">' . $Objet . "</td></tr>";
				   }
				 } /* Fin de if count() > 0 */
				?>
			</table>
		</div>
		<?php } /* Fin de if ($UseObjets) */ ?>
	</div>

	<!-- Adhesions -->
	<div class="bloc">
		<h1>Adh&eacute;sions</h1>
		<table>
			<tr class="item"><td align="center" width="100"><b>Num</b></td><td align="center"><b>Exercice</b></td><td align="center"><b>Libell&eacute;</b></td></tr>
			<? if (count($Adhesions) == 0) { ?>
			<tr><td class="text" align="center" colspan="3"><i>Aucune adh&eacute;sion</i></td></tr>
			<? } else
			    foreach($Adhesions as $Adhesion) { ?>
			  <tr class="item" <? if (! $Adhesion->CotisationAJour()) echo 'style="background:#ff9090"';?>>
			    <td align="center"><a href="<?php echo applicationUrl('index.php?page=admin_users_detailadh&adhnum='.$Adhesion->adhNum);?>"><?echo $Adhesion->adhNum;?></a></td>
			    <td><a href="<?php echo applicationUrl('index.php?page=admin_users_detailadh&adhnum='.$Adhesion->adhNum);?>"><?echo $Adhesion->ExerciceDuType();?></a></td>
			    <td><a href="<?php echo applicationUrl('index.php?page=admin_users_detailadh&adhnum='.$Adhesion->adhNum);?>"><?echo $Adhesion->LibeleDuType();?></a></td>
			  </tr>
			<? } ?>
		</table>
		</form>
	</div>
</div>
<?php $this->loadInclude("_FOOTER_", array()); ?>
