<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 *           Saint-Genest Gwenael (Hooligan0) <gwen@hooligan0.net>
 *
 * Histoire
 *  * 19/12/2005 DrazziB : Nettoyage de l'affichage des items sous forme de liens
 *  * 12/12/2005 Hooligan0 : Chaque item du menu peut etre un lien
 *  * 09/07/2005 Hooligan0 : Verification que l'appel n'est pas direct (sec) ;
 *      Ajout des CSS optionnels precises dans l'objet de la page ;
 *      Ajout du titre, du menu, de la section d'infos.
 *  * 08/07/2005 Hooligan0 : Modification de l'entete pour passage en X Strict
 *  * 21/01/2005 DrazziB : XHTML 1.0
 */

/* Charset utilise pour la sortie */
Header("Content-type: text/html; charset=iso-8859-15");

if (! isset($this))
{
	echo "Do not call this page directly :)";
	exit(0);
}

/* On utilise l'objet $conf pour la lecture de la config. HTML */
global $conf;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- Gasell: Copyright 2003-2005, Linux-Nantes Association                   -->
<!--         Gasell is under the GPL. Main page: http://www.gasell.org/ -->
<!-- GNU General Public License: http://www.fsf.org/licenses/gpl.html   -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >
<head>
	<title>Gasell</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-15" />
	<link rel="stylesheet" type="text/css" href="<?php echo applicationUrl('css/oldstyle.css'); ?>" />
	<link rel="stylesheet" type="text/css" href="<?php echo applicationUrl('css/default.css'); ?>" />
	<link rel="SHORTCUT ICON" href="<?php echo applicationUrl('graphics/favicon.ico'); ?>" type="image/x-icon" />
	<link type="text/css" rel="stylesheet" href="css/test_alt.css" />
<?php foreach  ($this->getCSS() as $css) { ?>
	<link rel="stylesheet" type="text/css" href="<?php echo applicationUrl('css/' . $css . '.css'); ?>" />	
<?php } ?>
<?php	/* enhance javascript if user want! */
	if($conf['users']['js'])
	 {
?>
<!-- Javascript pour les formulaires -->
<script type="text/javascript" src="js/tools.js"></script>
<script type="text/javascript" src="js/form.js"></script>
<?php
		if (isset($args['js']))
		 {
?>
<!-- Javascript des parametres -->
<script type="text/javascript">
<!--/*--><![CDATA[//><!--
<?php
echo $args['js'];
?>
//--><!]]>
</script>
<?php
	 	 }
	 }
?>
</head>
<body>
<?php
if (!isset($args['noTitle']))
 {
	global $PAGE;

	echo "<div id=\"titre\">";
	echo "Gasell://";
	echo $GLOBALS['Gasell']->user['login'];
	echo "@";
	echo $GLOBALS['Gasell']->user['asso'];
	echo "/";
	foreach($args['title'] as $page => $t)
	 {
		/* Si la page est definie dans la liste des pages */
		if (isset($PAGE[$page]) && $PAGE[$page] != NULL)
		 {
			/* ... on ajoute un lien vers la page */
			echo "<a href=\"index.php?page=". $page . "\">";
			echo $t;
			echo "</a>";
			echo "/";
		 }
		else
		 {
			echo $t . '/';
		 }
	 }
	echo "</div>";
 }
	if (!isset($args['noMenu']))
	 {
		include GASELL_TEMPLATES . "/menu.php";
	 }

	if (!isset($args['noInfo']))
	 {
?>
	<div class="help">
	Infos
	</div>
<?php
	 }
?>

<!-- Debut de page -->
