<?php
/*
 * Gasell: Copyright 2003-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * @brief Ce template permet de generer des pages d'erreurs personnalisees a partir d'un unique template
 *
 * Authors : Poulard Fabien "GrdScarabe" <grandscarabe@free.fr>
 */
 
/* Histoire
*/

	/* l'en-tete des pages Gasell */
	include_once GASELL_TEMPLATES . '/common-header.php';
?>

<table class="main">
		<tr>
			<th class="header" align="left" colspan="3">
				<?php
					/* On met en place la barre des adresses en entete */
					/* $address[X][0] represente l'adresse de la page de profondeur X */
					/* $address[X][1] represente le nom de la page de profondeur X */
					for($i=0 ; $i < count($address) ; $i++)
					{
						if($i > 0) {	echo "&nbsp;>&nbsp;"; }
						?>
						<a href="<?php echo applicationUrl($address[$i][0]);?>" class="header">
						<?php echo $address[$i][1]; ?>
						</a>
						<?php
					}
				?> 
				&nbsp;>&nbsp;<span class="errorTitle">Erreur</span>
			</th>
		</tr>			
		<tr class="text">
			<td align="left">
				<br/>
					<?php
						/* On affiche le message d'erreur general */
						/* $constat est une chaine qui contient le message d'erreur global */
						echo "&nbsp;&nbsp;".$constat;
					?>
				<br/>
					<?php
						/* Affichage des messages */
						/* $messages est un tableau de messages */
						if(isset($messages))
						{ if(count($messages) > 0)
							{
								echo "<ul>\n";
								for($i=0 ; $i<count($messages) ; $i++)
								{ echo "<li><span class=\"error\">".$messages[$i]."</span></li>"; }
								echo "</ul>\n";
							}
						}
					?>
				<br/>
					<?php
						/* Affichage des differents choix qui s'offrent a l'utilisateur */
						/* $choix[X][0] represente l'adresse web correspondant au choix X */
						/* $choix[X][1] correspond au libelle du choix X */
						if(isset($choix))
						{ if(count($choix) > 0)
							{
								echo "&nbsp;&nbsp;Les diff&eacute;rents choix qui s'offrent &agrave; vous :<br/>";
								echo "<ul>";
								for($i=0 ; $i<count($choix) ; $i++)
								{ echo "<li><a href=\"".$choix[$i][0]."\">".$choix[$i][1]."</a></li>"; }
								echo "</ul>";
							}
						}
					?>
				<br/>
			</td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td class="menu" align="center" colspan="3">
				<?php
					/* Le lien qui ramene a la page precedente */
					/* $retour['add'] correspond a l'adresse de la page precedente */
					/* $retour['desc'] enonce une description de la page precedente */
					echo "<a class=\"menuitem\" href=\"".$retour['add']."\">\n";
					echo  "<img src=\"graphics/admin/door.gif\" border=\"0\">\n";
					echo "Retour &agrave; ".$retour['desc']."\n</a>";
				?>
			</td>
		</tr>
	</table>

<?php
	include_once GASELL_TEMPLATES . '/common-footer.php';
?>

