<?
/*
 * Gasell: Copyright 2004-2006 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors : Dim (dimdidi) <dimdidi@voila.fr>
 *           Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
 */

/* Recherche si l'appli est config pour le suive des objet et competences    */
$params['req'][0] = array('section'=>"ASSO", 'param'=>"UseCompetences");
$params['req'][1] = array('section'=>"ASSO", 'param'=>"UseObjets");
/* Appel l'action de recherche de parametres de config */
$result = $this->doAction("", "getConfig", $params);
/* Resultats */
$UseCompetence = $result["ASSO"]["UseCompetences"];
$UseObjets = $result["ASSO"]["UseObjets"];

/* Construction d'un objet Membre pour la personne demandee                */
$result = $this->doAction('', 'getPersonne', array('id' => $this->getArg('memnum')));
$Personne = $result['personne'];
$Contacts = $result['contacts'];

/* Extrait la liste des adhesions pour cette personne                      */
$Adhesions = $Personne->Adhesions;

/* Recuperation de la liste des competences de l'utilisateur.           */
$result = $this->doAction('admin', 'getSkills', array('personne' => $Personne));
/* Alors, chargement de la liste des competences de la personne          */
$Competences = $result['competences_personne'];

/* Recuperation des objets de la personne                              */
$Objets = $this->doAction('admin', 'getObjectsForPerson', array('personne' => $Personne));

/* Chargement du moteur de rendu PDF */
$pdf = $this->doAction('pdf', 'initPDF', array('pagename' => $this->getPageName()));

$posX=0;
$posX++;
$tabP["posX"][$posX]=$pdf->GetX();
$pdf->SetY($pdf->GetY()-5);
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(66, 69, 99);
$pdf->SetTextColor(206,207,239);
$pdf->SetFont("","B");
$pdf->Cell(120,5,'Detail',1,0,"C","1");
$pdf->SetFont("","");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(206, 207, 206);
$pdf->SetTextColor(0,0,0);
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Numero personne',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memNum,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Nom',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memNom,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Prenom',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memPrenom,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Surnom',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memSurnom,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Adresse',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memAdr1,1,0,"","1");
if (!empty($Personne->memAdr2))
 {
	$pdf->SetY($pdf->GetY()+5);
	$pdf->SetX($tabP["posX"][$posX]);
	$pdf->SetFillColor(239, 235, 239);
	$pdf->Cell(40,5,'" "',1,0,"C","1");
	$pdf->Cell(80,5,$Personne->memAdr2,1,0,"","1");
 }
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'CP',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memCP,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Ville',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memVille,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Date de naissance',1,0,"C","1");
$aff="";
if($Personne->memDatNai)
 {
	$aff=$Personne->memDatNai->format("%d/%m/%Y");
 }
$pdf->Cell(80,5,$aff,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Sexe',1,0,"C","1");
$aff="";
if ($Personne->memSexe == 1)
 {
	$aff="M";
 }
else if ($Personne->memSexe == 2) 
 {
	$aff="F";
 }
$pdf->Cell(80,5,$aff,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Date 1ere adhesion',1,0,"C","1");
$aff="";
if($Personne->memDatAdh1)
 {
	$aff=date("d/m/Y", strtotime($Personne->memDatAdh1));
 }
$pdf->Cell(80,5,$aff,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Date de derniere mise a jour',1,0,"C","1");
$aff="";
if($Personne->memDatMaj)
 {
	$aff=date("d/m/Y", strtotime($Personne->memDatMaj));
 }
$pdf->Cell(80,5,$aff,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Observations',1,0,"C","1");
$pdf->Cell(80,5,$Personne->memObs,1,0,"","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$nb=count ($Contacts); 
if ($nb==0)
 {
	$pdf->Cell(40,5,'Contacts',1,0,"C","1");
	$pdf->Cell(80,5,'',1,0,"","1");
 }
else
 {
	$pdf->Cell(40,5*$nb,'Contacts',1,0,"C","1");
	$posX++;
	$tabP["posX"][$posX]=$pdf->GetX();
	$pdf->SetY($pdf->GetY()-5);
	foreach($Contacts as $moyen => $valeur)
	 {
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->Cell(40,5,$moyen,1,0,"","1");
		$pdf->Cell(40,5,$valeur,1,0,"","1");
	 }
	$posX--;
 }

if ($UseCompetence == "OUI")
{
	$pdf->SetY($pdf->GetY()+5);
	$pdf->SetX($tabP["posX"][$posX]);
	$pdf->SetFillColor(206, 207, 206);
	$pdf->SetFont("","b");
	$pdf->Cell(120,5,'Competences',1,0,"","1");
	$pdf->SetY($pdf->GetY()+5);
	$pdf->SetX($tabP["posX"][$posX]);
	$pdf->SetFillColor(239, 235, 239);
	$pdf->Cell(40,5,'Num',1,0,"C","1");
	$pdf->Cell(80,5,'Libelle',1,0,"C","1");
	$pdf->SetFont("","");
	if (count($Competences) > 0)
	 { 
		foreach($Competences as $CNum => $Competence)
		 {
			$pdf->SetY($pdf->GetY()+5);
			$pdf->SetX($tabP["posX"][$posX]);
			$pdf->SetFillColor(239, 235, 239);
			$pdf->Cell(40,5,$CNum,1,0,"C","1");
			$pdf->Cell(80,5,$Competence,1,0,"","1");
		 } 
	 }
 }

if ($UseObjets == "OUI")
{
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->SetFillColor(206, 207, 206);
		$pdf->SetFont("","b");
		$pdf->Cell(120,5,'Objets',1,0,"","1");
		$pdf->SetFont("","");
	if (count($Objets) == 0)
	 {
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->SetFillColor(239, 235, 239);
		$pdf->SetFont("","i");
		$pdf->Cell(120,5,'Aucun objet enregistre',1,0,"C","1");
		$pdf->SetFont("","");
	 } 
	else
	 {
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->SetFillColor(239, 235, 239);
		$pdf->SetFont("","b");
		$pdf->Cell(40,5,'Num',1,0,"C","1");
		$pdf->Cell(80,5,'Libelle',1,0,"C","1");
		$pdf->SetFont("","");
		foreach($Objets as $ONum => $Objet)
		 {
			$pdf->SetY($pdf->GetY()+5);
			$pdf->SetX($tabP["posX"][$posX]);
			$pdf->SetFillColor(239, 235, 239);
			$pdf->Cell(40,5,$ONum,1,0,"C","1");
			$pdf->Cell(80,5,$Objet,1,0,"","1");
		 }
 	 }
 }
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->Cell(120,5,' ',0,0,"","");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(206, 207, 206);
$pdf->SetFont("","b");
$pdf->Cell(120,5,'Adhesions',1,0,"C","1");
$pdf->SetY($pdf->GetY()+5);
$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetFillColor(239, 235, 239);
$pdf->Cell(40,5,'Num',1,0,"C","1");
$pdf->Cell(40,5,'Exercice',1,0,"C","1");
$pdf->Cell(40,5,'Libelle',1,0,"C","1");
$pdf->SetFont("","");
if (count($Adhesions) == 0)
 {
	$pdf->SetY($pdf->GetY()+5);
	$pdf->SetX($tabP["posX"][$posX]);
	$pdf->SetFillColor(255);
	$pdf->SetFont("","i");
	$pdf->Cell(120,5,'Aucune adhesion',1,0,"C","1");
	$pdf->SetFont("","");
 }
else
{
	foreach($Adhesions as $Adhesion)
	 {
		$pdf->SetY($pdf->GetY()+5);
		$pdf->SetX($tabP["posX"][$posX]);
		$pdf->SetFillColor(239, 235, 239);
		$pdf->Cell(40,5,$Adhesion->adhNum,1,0,"C","1");
		$pdf->Cell(40,5,$Adhesion->ExerciceDuType(),1,0,"","1");
		$pdf->Cell(40,5,$Adhesion->LibeleDuType(),1,0,"","1");
	 }
 }
$pdf->SetY($pdf->GetY()+5);$pdf->SetX($tabP["posX"][$posX]);
$pdf->SetTextColor(0,0,0);
$posX--;

/* Lancement du rendu vers le navigateur */
$pdf->Output($pdf->GSL_pdf_filename, 'D');
?>