<?
/*
* Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* Authors: Jacquelin Xavier (Ygster) <ygster@free.fr>
*          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
*
* * Histoire
*    * 20/07/04 Ygster : Creation initiale.
*    * 21/01/05 DrazziB : XHTML 1.0
*    * 08/01/06 GrdScarabe : passage au modele action
*/

$title = array('Association', 'Adhesions', 'Details');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* recuperation du numero de l'adherent courant */
$result = $this->doAction("", "getUserNum", array() );
$memnum = $result['num'];
$login  = $result['login'];

/* recuperation de l'adhesion */
$params['adhnum'] = $this->getArg("adhnum");
$result = $this->doAction("admin", "getAdhesion", $params);
$Personne   = $result['personne'];
$Adhesion   = $result['adhesion'];
$Reglements = $result['reglements'];

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=association');?>" class="header">
				Association
			</a>
			&gt;
			<a href="<?php echo applicationUrl('index.php?page=user_association_viewmember');?>" class="header">
				Voir ses informations
			</a> 
			&gt;
			<a class="header" href="<?php echo applicationUrl('index.php?page=user_association_viewmember');?>">
				<?php echo $login; ?>
			</a>
		</th>
	</tr>
	<tr>
		<td class="control" colspan="3">
			<b>D&eacute;tail des adh&eacute;sions</b>
		</td>
	</tr>
	<?php
		if(count($this->errorMsgs) > 0)
		{
			echo "<tr>\n<td class=\"text\" colspan=\"3\">\n";
			echo "<center><div class=\"error\">\n<ul>\n";
			foreach($this->errorMsgs as $msg)
				echo "<li>$msg</li>\n";
			echo "</ul>\n</div></center>\n</td>\n</tr>\n";
		} else {
	?>
	<tr>
		<td class="text" width="20%" align="center">
			<b>Adh&eacute;sion</b> : <?echo $Adhesion->memNum;?>
		</td>
		<td class="text" width="50%" align="center">
			<b>Personne</b> : <?echo $Personne->memNom;?> (<?echo $Adhesion->memNum;?>)
		</td>
		<td class="text" width="30%" align="center">
			<b>Souscription</b> : <?echo date("d/m/Y", strtotime($Adhesion->adhDat));?>
		</td>
	</tr>
	<tr>
		<td class="text" colspan="2">
			<b>Type d'adh&eacute;sion</b> : <?echo $Adhesion->LibeleDuType();?>
		</td>
		<td class="text" align="center">
			<b>Montant</b> : <?echo $Adhesion->adhMontant;?>
		</td>
	</tr>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	
	<!-- Reglements -->
	<tr>
		<td colspan="3">
			<table class="main">
				<tr>
					<td class="control" colspan="4">
						<b>Reglements</b>
					</td>
				</tr>
				<?php 
					if (count($Reglements) == 0) 
					{ 
				?>
				<tr>
					<td class="text" colspan="4" align="center">
						<i>Aucun reglement</i>
					</td>
				</tr>
				<?php		 
					} else {
				?>
				<tr>
					<td class="item" width="80" align="center">
						<b>Echeance</b>
					</td>
					<td class="item" width="370" align="center">
						<b>Montant</b>
					</td>
					<td class="item" width="100" align="center">
						<b>Moyen de paiment</b>
					</td>
					<td class="item" width="50" align="center">
						<b>Pointe</b>
					</td>
				</tr>
				<form method="get">
					<input type="hidden" name="action" value="adh_reg_valide"/>
					<input type="hidden" name="num" value="<?echo $Adhesion->memNum;?>"/>
					<input type="hidden" name="adhnum" value="<?echo $Adhesion->adhNum;?>"/>
				<?php
					foreach ($Reglements as $Reglement)
					{
						if ($Reglement->date != NULL)
						{
							if (Date::compare($Reglement->date, new Date()) == -1)
							{
								if ($Reglement->valide == "1")
									$bgcolor = "#90ff90";
								else
									$bgcolor = "#FF9090";
							} else
								$bgcolor="#ffffff";
						} else
							$bgcolor="#9090ff";
				?>
				<tr>
					<td class="text" align="center" style="background: <?echo $bgcolor;?>">
						<?echo $Reglement->date->format("%d/%m/%Y");?>
					</td>
					<td class="text" align="center" style="background: <?echo $bgcolor;?>">
						<?echo $Reglement->montant;?>
					</td>
					<td class="text" align="center" style="background: <?echo $bgcolor;?>">
						&nbsp;
					</td>
					<td class="text" align="center" style="background: <?echo $bgcolor;?>">
				<?php
						if ($Reglement->valide == "1") 
						{
				?>
							Valid&eacute;
				<?php 
						} else {
				?>
						<input type="checkbox" name="reg<?echo $Reglement->regnum;?>"/>
				<?php 
						}
				?>
					</td>
				</tr>
				<?php 
					} // fin parcours des reglements
				?>

				<tr>
					<td class="text" width="80">&nbsp;</td>
					<td class="text" width="370">&nbsp;</td>
					<td class="text" width="100">&nbsp;</td>
					<td class="text" width="50" align="center">
						<input type="submit" value="Actualise"/>
					</td>
				</tr>
				</form>
			<?php
				} // fin de traitement des reglements
			} // fin gestion erreurs
			?>
				<tr>
					<td colspan="3">&nbsp;</td>
				</tr>
			</table>
		</td>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=association');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'association
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
