<?
/*
* Gasell: Copyright 2004-2005 Linux-Nantes Association <contact@linux-nantes.fr.eu.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* Authors: Jacquelin Xavier (Ygster) <ygster@free.fr>
*          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
*
*  * Histoire
*    * 20/07/04 Jacquelin Xavier (Ygster) : Creation initiale
*    * 21/01/05 DrazziB : XHTML 1.0
*    * 08/01/06 GrdScarabe : passage au modele action
*/

$title = array('Association','Information Utilisateur','Modification');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* recuperation de l'id de la personne connectee */
$result = $this->doAction("", "getUserNum", array());
$id = $result['num'];
                    
/* recuperation des informations sur la personne */
$result = $this->doAction("", "getPersonne", array('id' => $id) );
$Personne = $result['personne'];
$Contacts = $result['contacts'];

/* recuperation des adhesions */
$params['personne'] = $Personne;
$result = $this->doAction("admin", "getPersonneAdhesions", $params);
$Adhesions = $result['adhesions'];

/* recuperation des donnees de configuration */
$params['req'] = array();
array_push($params['req'], array(
			'section' => 'ASSO',
			'param'   => 'UseCompetences') );
array_push($params['req'], array(
			'section' => 'ASSO',
			'param'   => 'UseObjets') );
$result = $this->doAction("", "getConfig", $params);
$UseCompetence = $result['ASSO']['UseCompetences'];
$UseObjets     = $result['ASSO']['UseObjets'];

// FIXME: gestion des competences et des objets

/* recuperation des donnees de calendrier */
$calendrier = $this->doAction("tools", "getDateArray", array() );

?>

<form action="<?php echo applicationUrl('index.php?page=user_association_editmember');?>">
	<input type="hidden" name="action" value="editsave"/>
	<input type="hidden" name="num" value="<?echo $Personne->memNum;?>"/>
	
	<table class="main">
		<tr>
			<th class="header" align="left" colspan="3">
				<a href="<?php echo applicationUrl('index.php?page=association');?>" class="header">
					Association
				</a>
				&gt; 
				<a href="<?php echo applicationUrl('index.php?page=user_association_viewmember');?>" class="header">
					Voir ses informations
				</a>
				&gt; Editer
			</th>
		</tr>

		<!-- Infos sur la personne -->
		<tr class="control">
			<td colspan="3">
				<b>Infomations personnelles</b>
			</td>
		</tr>
		<tr class="item">
			<td align="center">
				Num&eacute;ro membre
			</td>
			<td colspan="2">
				<?echo $Personne->memNum;?>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Nom</td>
			<td colspan="2">
				<input type="text" name="memNom" value="<?echo $Personne->memNom;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Pr&eacute;nom</td>
			<td colspan="2">
				<input type="text" name="memPrenom" value="<?echo $Personne->memPrenom;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Surnom</td>
			<td colspan="2">
				<input type="text" name="memSurnom" value="<?echo $Personne->memSurnom;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Adresse</td>
			<td colspan="2">
				<input type="text" name="memAdr1" size="40" value="<?echo $Personne->memAdr1;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">' '</td>
			<td colspan="2">
				<input type="text" name="memAdr2" size="40" value="<?echo $Personne->memAdr2;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">CP</td>
			<td colspan="2">
				<input type="text" name="memCP" value="<?echo $Personne->memCP;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Ville</td>
			<td colspan="2">
				<input type="text" name="memVille" value="<?echo $Personne->memVille;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Date de naissance</td>
			<td colspan="2">
				<?php 
				$datJ = $Personne->memDatNai->format("%d");
				$datM = $Personne->memDatNai->format("%m");
				$datA = $Personne->memDatNai->format("%Y");
				?>
				<select name="memDatNaiJ">
				<?php echo $calendrier['select_days']; ?>
				</select>
			
				<select name="memDatNaiM">
				<?php echo $calendrier['select_months']; ?>
				</select>

				<input type="text" name="memDatNaiA" size="4" value="<?echo $datA;?>"/>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Sexe</td>
			<td colspan="2">
				<select name="memSexe">
				<?php
					if($Personne->memSexe == 1)
					{
						echo "<option selected=\"selected\>M</option>";
						echo "<option>F</option>";
					} else {
						echo "<option>M</option>";
						echo "<option selected=\"selected\">F</option>";
					}
				?>
				</select>
			</td>
		</tr>
		<tr class="item">
			<td align="center">Date 1&egrave;re adh&eacute;sion</td>
			<td colspan="2"><?echo $Personne->memDatAdh1;?></td>
		</tr>
		<tr class="item">
			<td align="center">Date de derni&egrave;re mise &agrave; jour</td>
			<td colspan="2"><?echo $Personne->memDatMaj;?></td>
		</tr>
		<tr class="item">
			<td align="center">Observations</td>
			<td colspan="2">
				<textarea name="memObs" rows="4" cols="30">
					<?echo $Personne->memObs;?>
				</textarea>
			</td>
		</tr>
		<tr class="item">
			<td align="center">
				<b>Validation</b>
			</td>
			<td colspan="2">
				<input type="submit" value="Enregistrer les modifications"/>
			</td>
		</tr>
	</table>
</form>

<!-- Contacts -->
<form action="<?php echo applicationUrl('index.php?page=user_association_editmember');?>">
	<input type="hidden" name="action" value="editcontactsave"/>
	<input type="hidden" name="num" value="<?echo $Personne->memNum;?>"/>
	
	<table class="main">
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr class="control">
			<td colspan="3">
				<b>Contacts</b>
			</td>
		</tr>
		<?php
			if (count($Contacts) > 0)
			{
				foreach($Contacts as $MoyenCode => $Moyen) 
				{ 
		?>
		<tr class="item">
			<td><?echo $Moyen;?></td>
			<td>
				<input type="text" name="<?echo $Moyen;?>" <?if (isset($Contacts[$Moyen])) { echo ' value="'.$Contacts[$Moyen].'"'; }?>/>
			</td>
		</tr>
		<?php 
				} 
		?>
		<tr class="item">
			<td align="center">
				<b>Validation</b>
			</td>
			<td colspan="2">
				<input type="submit" value="Enregistrer les modifications"/>
			</td>
		</tr>
		<?php
			} else {
		?>
		<tr class="item">
			<td align="center" colspan="3">
				<i>Aucun moyen de contact configur&eacute;</i>
			</td>
		</tr>
		<?php 
			}
		?>
	</table>
</form>

<!-- Competences -->
<form action="<?php echo applicationUrl('index.php?page=assoc_membre');?>">
	<input type="hidden" name="action" value="competenceadd"/>
	<input type="hidden" name="num" value="<?echo $Personne->memNum;?>"/>
	
	<table class="main">
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr class="control">
			<td colspan="3">
				<b>Competences</b>
			</td>
		</tr>
		<?php 
			if (isset($Competences))
				foreach($Competences as $CNum => $Competence) 
				{ 
		?>
		<tr>
			<td class="item" colspan="3">
				<a href="<?php echo applicationUrl('index.php?page=assoc_membre&action=competencedel&num='.$Personne->memNum.'&compnum='.$CNum);?>">
					<img src="graphics/trash.png" border="0">
				</a>
				<?echo $Competence;?>
			</td>
		</tr>
		<?php
				} 
		?>
		<tr>
			<td class="item" align="center">
				<b>Nouvelle</b>
			</td>
			<td class="item" colspan="2">
				<select name="compnum">
				<?php
					foreach ($ListeCompetences as $LCNum => $LComp)
					{
				?>
					<option value="<?echo $LCNum;?>"><?echo $LComp;?></option>
				<?php 
					} 
				?>
				</select>
				<input type="submit" value="Ajouter"/>
			</td>
		</tr>
	</table>
</form>

<!-- Pied de page -->
<table class="main">
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=association');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'association
			</a>
		</td>
	</tr>
</table>

<?php $this->loadInclude("_FOOTER_", array()); ?>
