<?
/*
* Gasell: Copyright 2003-2006 Linux-Nantes Association <contact@linux-nantes.org>
*
* You should have received a copy of the GNU Public
* License along with this package; if not, write to the
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,
* Boston, MA 02111-1307, USA.
*
* Authors: Jacquelin Xavier (Ygster) <ygster@free.fr>
*          Raude-Morvan Damien (DrazziB) <drazzib@drazzib.com>
*
* * Histoire
*   * 25/05/2004 Ygster : Creation de la page
*   * 21/01/05 DrazziB : XHTML 1.0
*   * 08/01/06 GrdScarabe : passage au modele action
*/

$title = array('Association','Information utilisateurs');
$this->loadInclude("_HEADER_", array('title'=>$title));

/* recuperation de l'id de la personne connectee */
$result = $this->doAction("", "getUserNum", array());
$id = $result['num'];

/* recuperation des informations sur la personne */
$result = $this->doAction("", "getPersonne", array('id' => $id) );
$Personne = $result['personne'];
$Contacts = $result['contacts'];

/* recuperation des adhesions */
$params['personne'] = $Personne;
$result = $this->doAction("admin", "getPersonneAdhesions", $params);
$Adhesions = $result['adhesions'];

/* recuperation des donnees de configuration */
$params['req'] = array();
array_push($params['req'], array(
							'section' => 'ASSO',
							'param'   => 'UseCompetences') );
array_push($params['req'], array(
							'section' => 'ASSO',
							'param'   => 'UseObjets') );
$result = $this->doAction("", "getConfig", $params);
$UseCompetence = $result['ASSO']['UseCompetences'];
$UseObjets     = $result['ASSO']['UseObjets'];

?>

<table class="main">
	<tr>
		<th class="header" align="left" colspan="3">
			<a href="<?php echo applicationUrl('index.php?page=association');?>" class="header">
				Association
			</a>
			&gt;
			Voir ses informations
		</th>
	</tr>
	
	<!-- Barre d'outils -->
	<tr>
		<th class="control" colspan="3">
			<table>
				<tr>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_editmember');?>">
							<img src="graphics/admin/edit.png" border="0" alt="[Editer]"/>
						</a>
					</td>
					<td>&nbsp;</td>
					<!-- Desactive car donne acces a des fonctions d'admin
					<td>
						<a href="<?php echo applicationUrl('index.php');?>">
							<img src="graphics/admin/keys.png" border="0" alt="[Compte Horde]"/>
						</a>
					</td>
					-->
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_printmembre&memnum='.$id);?>">
							<img src="graphics/admin/imprimante.gif" border="0" />
						</a>
					</td>
					<?php
						if ($UseObjets) 
						{
					?>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_objetsmembre');?>">
							<img src="graphics/admin/objets.png" border="0" alt="[Objets]"/>
						</a>
					</td>
					<?php
						}
					?>
				</tr>
				<tr>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_editmember');?>">
							Editer
						</a>
					</td>
					<td>&nbsp;</td>
					<!-- desactivation
					<td>
						<a href="<?php echo applicationUrl('index.php');?>">
							Compte Horde
						</a>
					</td>
					-->
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_printmembre&memnum='.$id);?>">
							Imprimer
						</a>
					</td>
					<?php
						if ($UseObjets) 
						{
					?>
					<td>
						<a href="<?php echo applicationUrl('index.php?page=user_association_objetsmembre');?>">
							Objets
						</a>
					</td>
					<?php
						}
					?>
				</tr>
			</table>
		</th>
	</tr>
	<tr class="item">
		<td align="center">Num&eacute;ro personne</td>
		<td colspan="2"><?echo $Personne->memNum;?></td>
	</tr>
	<tr class="item">
		<td align="center">Nom</td>
		<td colspan="2"><?echo $Personne->memNom;?></td>
	</tr>
	<tr class="item">
		<td align="center">Pr&eacute;nom</td>
		<td colspan="2"><?echo $Personne->memPrenom;?></td>
	</tr>
	<tr class="item">
		<td align="center">Surnom</td>
		<td colspan="2"><?echo $Personne->memSurnom;?></td>
	</tr>
	<tr class="item">
		<td align="center">Adresse</td>
		<td colspan="2"><?echo $Personne->memAdr1;?></td>
	</tr>
	<?php
		if (!empty($Personne->memAdr2)) 
		{ 
	?>
	<tr class="item"><td align="center">
		<td>' '</td>
		<td colspan="2"><?echo $Personne->memAdr2;?></td>
	</tr>
	<?php 
		} 
	?>
	<tr class="item">
		<td align="center">CP</td>
		<td colspan="2"><?echo $Personne->memCP;?></td>
	</tr>
	<tr class="item">
		<td align="center">Ville</td>
		<td colspan="2"><?echo $Personne->memVille;?></td>
	</tr>
	<tr class="item">
		<td align="center">Date de naissance</td>
		<td colspan="2">
		<?php
			if($Personne->memDatNai)
				echo $Personne->memDatNai->format("%d/%m/%Y");
		?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Sexe</td>
		<td colspan="2">
		<?php
			if ($Personne->memSexe == 1) 
				echo "M";
			elseif ($Personne->memSexe == 2)
				echo "F";
		?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">
			Date 1&egrave;re adh&eacute;sion
		</td>
		<td colspan="2">
		<?php
			if($Personne->memDatAdh1)
				echo date("d/m/Y", strtotime($Personne->memDatAdh1)); 
		?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Date de derni&egrave;re mise &agrave; jour</td>
		<td colspan="2">
		<?php
			if($Personne->memDatMaj)
				echo date("d/m/Y", strtotime($Personne->memDatMaj));
		?>
		</td>
	</tr>
	<tr class="item">
		<td align="center">Observations</td>
		<td colspan="2"><?echo $Personne->memObs;?></td>
	</tr>
	<tr class="item">
		<td align="center">Contacts</td>
		<td colspan="2">
			<table>
			<?php
				foreach($Contacts as $moyen => $valeur)
					echo "<tr><td>".$moyen."</td><td>".$valeur."</td></tr>";
			?>
			</table>
		</td>
	</tr>
	<?php
		if ($UseCompetence == "OUI")
		{ 
	?>
	<tr class="control">
		<td colspan="3">
			<b>Comp&eacute;tences</b>
		</td>
	</tr>
	<tr class="item">
		<td align="center" width="100">
			<b>Num</b>
		</td>
		<td align="center" colspan="2">
			<b>Libell&eacute;</b>
		</td>
	</tr>
	<?php
			if (count($Competences) > 0)
			{
				foreach($Competences as $CNum => $Competence)
				{
					echo '<tr class="item"><td align="center">'.$CNum."</td>";
					echo '<td colspan="2">'.$Competence . '</td></tr>';
				}
			}
		}
	?>

	<!-- Objets -->
	<?php
		if ($UseObjets) 
		{
	?>
	<tr class="control">
		<td colspan="3">
			<b>Objets</b>
		</td>
	</tr>
	<?php
		if (count($Objets) == 0) 
		{
	?>
	<tr class="item">
		<td align="center" colspan="3">
			<i>Aucun objet enregistr&eacute;</i>
		</td>
	</tr>
	<?php } else /* count > 0 */ { ?>
	<tr class="item">
		<td align="center" width="100">
			<b>Num</b>
		</td>
		<td align="center" colspan="2">
			<b>Libell&eacute;</b>
		</td>
	</tr>
	<?php
			foreach($Objets as $ONum => $Objet)
			{
				echo '<tr class="item"><td align="center">'.$ONum."</td>";
				echo '<td colspan="2">' . $Objet . "</td></tr>";
			}
		} /* Fin de if count() > 0 */
	} /* Fin de if ($UseObjets) */
	?>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>

	<!-- Adhesions -->
	<tr class="control">
		<td colspan="3">
			<b>Adh&eacute;sions</b>
		</td>
	</tr>
	<tr class="item">
		<td align="center" width="100">
			<b>Num</b>
		</td>
		<td align="center">
			<b>Exercice</b>
		</td>
		<td align="center">
			<b>Libell&eacute;</b>
		</td>
	</tr>
	<?php
		if (count($Adhesions) == 0) 
		{ 
	?>
	<tr>
		<td class="text" align="center" colspan="3">
			<i>Aucune adh&eacute;sion</i>
		</td>
	</tr>
	<?php
		} else
			foreach($Adhesions as $Adhesion)
			{ 
	?>
	<tr class="item" <? if (! $Adhesion->CotisationAJour()) echo 'style="background:#ff9090"';?>>
		<td align="center">
			<a href="<?php echo applicationUrl('index.php?page=user_adhesion_details&adhnum='.$Adhesion->adhNum);?>">
				<?echo $Adhesion->adhNum;?>
			</a>
		</td>
		<td>
			<a href="<?php echo applicationUrl('index.php?page=user_adhesion_details&adhnum='.$Adhesion->adhNum);?>">
				<?echo $Adhesion->ExerciceDuType();?>
			</a>
		</td>
		<td>
			<a href="<?php echo applicationUrl('index.php?page=user_adhesion_details&adhnum='.$Adhesion->adhNum);?>">
				<?echo $Adhesion->LibeleDuType();?>
			</a>
		</td>
	</tr>
	<?php
		} 
	?>
	<tr>
		<td colspan="3">&nbsp;</td>
	</tr>
	<tr>
		<td class="menu" align="center" colspan="3">
			<a class="menuitem" href="<?php echo applicationUrl('index.php?page=association');?>">
				<img src="graphics/admin/door.gif" alt="[Sortie]" />
				Retour &agrave; l'index d'association
			</a>
		</td>
	</table>
</form>

<?php $this->loadInclude("_FOOTER_", array()); ?>
